<?php
namespace app\admin\content\addons\controller;
use app\BaseController;
use think\Response;
use function compressHtml;
use function fetch_file_lists;
use const DS;

class AddonsComponent extends BaseController
{
    public function js() {
        $addonsDirNameAndPath = getLocalContentAddonsArray();
        $pages = [];
        if (count($addonsDirNameAndPath) > 0) {
            foreach ($addonsDirNameAndPath as $key => $addonsDirInfo) {
                $scriptDir = $addonsDirInfo["path"] . "view" . DS . "admin" . DS;
                $vueFilePathArray = fetch_file_lists($scriptDir);
                if (count($vueFilePathArray) > 0) {
                    foreach ($vueFilePathArray as $k => $v) {
                        $fileArray = explode(DS, $v);
                        $pages[] = ['pagePath' => $v, 'pageName' => $fileArray[count($fileArray) - 1]];
                    }
                }
            }
        }
        $fileNameArray = [];
        if (count($pages) > 0) {
            foreach ($pages as $key => $val) {
                if (strpos($val['pageName'], '.vue') !== false) {
                    $fileName = str_replace('.vue', '', $val['pageName']);
                    $fileNameArray[$fileName] = $val['pagePath'];
                }
            }
        }
        $tempComponent = '';
        if (count($fileNameArray) > 0) {
            foreach ($fileNameArray as $key => $val) {
                $fileName = $key;
                $tempIndexData = compressHtml(file_get_contents($val));
                preg_match_all('/<script>([\w\W]*)<\/script>/iU', $tempIndexData, $scriptResult);
                if ($scriptResult) {
                    preg_match_all('/<template>(.*?)<\/template>(?!.*<\/template>)/is', $tempIndexData, $templateResult);
                    $tempComponent .= "const ".ucfirst($fileName)." = {";
                    $tempComponent .= "template: `".$templateResult[1][0]."`,";
                    $tempComponent .= str_replace('export default {', '', $scriptResult[1][0]);
                    $tempComponent .= ";app.component('".ucfirst($fileName)."',".ucfirst($fileName).");";
                    $scriptResult = '';
                    $templateResult = '';
                }
            }
        }
        $tempComponent = $tempComponent . " tempRouteArray = [];var addonsRoutes;";
        if (count($pages) > 0) {
            foreach ($pages as $key => $val) {
                if (strpos($val['pageName'], 'routes.js') !== false) {
                    $tempIndexData = file_get_contents($val['pagePath']);
                    $tempComponent = $tempComponent . $tempIndexData .  ";tempRouteArray.push(addonsRoutes);";
                }
            }
        }
        $tempComponent = $tempComponent . '
        if (routes[1] && routes[1]["children"]) {
            routeList = routes[1]["children"];
        } else {
            routeList = [];
        }
        if (routeList.length > 0) {
            for (let i = 0; i < routeList.length; i++) {
                if (routeList[i]["name"] == "content") {
                    if (routeList[i]["children"].length > 0) {
                        for (let j = 0; j < routeList[i]["children"].length; j++) {
                            if (routeList[i]["children"][j]["name"] == "addons") {
                                routeList[i]["children"][j]["children"] = routeList[i]["children"][j]["children"].concat(tempRouteArray);
                            }
                        }
                    }
                }
            }
        };';
        return Response::create($tempComponent)->contentType('application/x-javascript');
    }

    public function css() {
        $addonsDirNameAndPath = getLocalContentAddonsArray();
        $pages = [];
        if (count($addonsDirNameAndPath) > 0) {
            foreach ($addonsDirNameAndPath as $key => $addonsDirInfo) {
                $scriptDir = $addonsDirInfo["path"] . "view" . DS . "admin" . DS;
                $vueFilePathArray = fetch_file_lists($scriptDir);
                if (count($vueFilePathArray) > 0) {
                    foreach ($vueFilePathArray as $k => $v) {
                        if (strpos($v, '.vue') !== false) {
                            $vueArray = explode(DS, $v);
                            $pages[] = ['pagePath' => $v, 'pageName' => $vueArray[count($vueArray) - 1]];
                        }
                    }
                }
            }
        }
        $tempComponent = '';
        if (count($pages) > 0) {
            foreach ($pages as $key => $val) {
                $tempIndexData = compressHtml(file_get_contents($val['pagePath']));
                preg_match_all('/<style>([\w\W]*)<\/style>/iU', $tempIndexData, $templateResult);
                if (count($templateResult[1]) > 0) {
                    $tempComponent .=  $templateResult[1][0];
                }
            }
        }
        return Response::create($tempComponent)->contentType('text/css');
    }
}