<?php

namespace app\admin\content\addons\controller;

use app\admin\content\addons\service\AddonsService;
use app\common\controller\AdminBase;
use function input;
use function jsonError;
use function jsonPanic;
use function jsonSuccess;

class AddonsController extends AdminBase
{

    public function getAddonsList(): \think\Response
    {
        $page = intval(input("post.page") ?? 1);
        $postData = $this->request->post();
        $itemList = AddonsService::getAddonsList($postData);
        $total = AddonsService::countAddons($postData);
        if (count($itemList) > 0) {
            $data["itemList"] = $itemList;
        } else {
            $data["itemList"] = [];
        }
        $data["total"] = $total;
        $data["page"] = $page;
        return jsonSuccess('',$data);
    }
    public function getAddonsInfo(): \think\Response
    {
        $name = input("post.name");
        $itemInfo = AddonsService::getAddonsInfo($name);
        return jsonSuccess('',$itemInfo);
    }

    public function getAddonsInfoByManageEntry(): \think\Response
    {
        $manageEntry = input("post.manageEntry");
        if (!$manageEntry) {
            return jsonError('缺少参数');
        }
        $itemInfo = AddonsService::getAddonsInfoByManageEntry($manageEntry);
        return jsonSuccess('',$itemInfo);
    }

    public function updateAddons(): \think\Response
    {
        $name = input ('name');
        if (!$name) {
            return jsonError('缺少参数');
        }
        $resArray = AddonsService::updateAddons(["name" => $name]);
        if ($resArray["err"]) {
            return jsonPanic($resArray["err"]);
        }
        return jsonSuccess('ok');
    }

    public function installAddons(): \think\Response
    {
        $name = input ('name');
        if (!$name) {
            return jsonError('缺少参数');
        }
        $resArray = AddonsService::installAddons(["name" => $name]);
        if ($resArray["err"]) {
            return jsonPanic($resArray["err"]);
        }
        return jsonSuccess('ok');
    }

    public function uninstallAddons(): \think\Response
    {
        $name = input ('name');
        if (!$name) {
            return jsonError('缺少参数');
        }
        $resArray = AddonsService::uninstallAddons(["name" => $name]);
        if ($resArray["err"]) {
            return jsonPanic($resArray["err"]);
        }
        return jsonSuccess('ok');
    }

    public function enableAddons(): \think\Response
    {
        $id = input ('id');
        $name = input ('name');
        if ($id) {
            db("base_addons")->where('id',$id)->update(array('is_disable' => 0));
        } else {
            if ($name) {
                db("base_addons")->where('name',$name)->update(array('is_disable' => 0));
            } else {
                return jsonError('缺少参数');
            }
        }
        return jsonSuccess('ok');
    }

    public function disableAddons()
    {
        $id = input ('id');
        $name = input ('name');
        if ($id) {
            db("base_addons")->where('id',$id)->update(array('is_disable' => 1));
        } else {
            if ($name) {
                db("base_addons")->where('name',$name)->update(array('is_disable' => 1));
            } else {
                return jsonError('缺少参数');
            }
        }
        return jsonSuccess('ok');
    }

    public function deleteAddons()
    {
        $id = input ('id');
        $name = input ('name');
        if ($id) {
            db("base_addons")->where('id',$id)->delete();
        } else {
            if ($name) {
                db("base_addons")->where('name',$name)->delete();
            } else {
                return jsonError('缺少参数');
            }
        }
        return jsonSuccess('ok');
    }
}