<?php
namespace app\admin\content\article\controller;

use app\admin\content\setting\service\SettingService;
use app\common\controller\AdminBase;
use app\admin\content\article\service\ArticleCategoryService;

class ArticleCategoryController extends AdminBase
{
    public function addArticleCategory(): \think\Response
    {
        $postData = input("post.category/a");
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = ArticleCategoryService::addArticleCategory($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('添加成功',$resData["data"]);
    }

    public function updateArticleCategory(): \think\Response
    {
        $postData = input("post.category/a");
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = ArticleCategoryService::updateArticleCategory($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('修改成功');
    }


    public function updateArticleCategoryUrl(): \think\Response
    {
        $id = input("post.id");
        $urlData = input("post.urlData");
        $resData = ArticleCategoryService::updateArticleCategoryUrl($id,$urlData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('操作成功');
    }


    public function buildArticleCategoryUrl(): \think\Response
    {
        $resData = ArticleCategoryService::buildArticleCategoryUrl();
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('操作成功');
    }
    public function getArticleCategoryInfo(): \think\Response
    {
        $id = input("post.id");
        $resData = ArticleCategoryService::getArticleCategoryInfo($id);
        return jsonSuccess('',$resData);
    }

    public function getArticleCategoryList(): \think\Response
    {
        $page = intval(input("post.page") ?? 1);
        $postData = $this->request->post();
        $itemList = ArticleCategoryService::getArticleCategoryList($postData);
        $total = ArticleCategoryService::countArticleCategory($postData);
        if (count($itemList) > 0) {
            $data["itemList"] = $itemList;
        } else {
            $data["itemList"] = [];
        }
        $data["total"] = $total;
        $data["page"] = $page;
        return jsonSuccess('',$data);
    }

    public function deleteArticleCategory(): \think\Response
    {
        $ids = input("post.ids");
        if ($ids == "") {
            return jsonError("缺少ids参数");
        }
        $resData = ArticleCategoryService::deleteArticleCategory($ids);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess("删除成功");
    }

    public function saveArticleCategorySort(): \think\Response
    {
        $postData = input("post.sortList/a");
        if (!$postData) {
            return jsonError("参数错误");
        }
        ArticleCategoryService::saveArticleCategorySort($postData);
        return jsonSuccess('');
    }


    public function getArticleCategoryTemplate(): \think\Response
    {
        $settingInfo = SettingService::getSettingData();
        $pages = [];
        $template = config("view.view_dir_name")  . DS . $settingInfo["template"] . DS . "html" . DS . "article" . DS;
        if (is_dir($template)) {
            $templateFile = opendir($template);
            if ($templateFile) {
                while (false !== ($file = readdir($templateFile))) {
                    if (substr($file, 0, 1) != '.' AND is_file($template . DS . $file)) {
                        $pages[] = $file;
                    }
                }
                closedir($templateFile);
            }
        }
        sort($pages);
        return jsonSuccess('',$pages);
    }


}
