<?php

namespace app\admin\content\article\controller;

use app\common\controller\AdminBase;
use app\admin\content\article\service\ArticleService;

class ArticleController extends AdminBase
{
    public function addArticle(): \think\Response
    {
        $postData = input("post.itemInfo/a");
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = ArticleService::addArticle($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('添加成功',$resData["data"]);
    }

    public function updateArticle(): \think\Response
    {
        $postData = input("post.itemInfo/a");
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = ArticleService::updateArticle($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('修改成功');
    }

    public function updateArticleUrl(): \think\Response
    {
        $resData = ArticleService::updateArticleUrl();
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('操作成功',$resData["data"]);
    }
    public function updateArticleIndex(): \think\Response
    {
        $resData = ArticleService::updateArticleIndex();
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('操作成功',$resData["data"]);
    }

    public function getArticleInfo(): \think\Response
    {
        $id = input("post.id");
        $resData = ArticleService::getArticleInfo($id,null);
        return jsonSuccess('成功',$resData);
    }

    public function getArticleList(): \think\Response
    {
        $page = intval(input("post.page") ?? 1);
        $postData = $this->request->post();
        $itemList = ArticleService::getArticleList($postData);
        $total = ArticleService::countArticle($postData);
        if (count($itemList) > 0) {
            $data["itemList"] = $itemList;
        } else {
            $data["itemList"] = [];
        }
        $data["total"] = $total;
        $data["page"] = $page;
        return jsonSuccess('',$data);
    }

    public function deleteArticle() {
        $ids = input("post.ids");
        if ($ids == "") {
            return jsonError("缺少ids参数");
        }
        $resData = ArticleService::deleteArticle($ids);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess("删除成功");
    }

    public function updateArticleRecommend()  {
        $postData = $this->request->post();
	    $resData = ArticleService::updateArticleRecommend($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess("操作成功");
    }

    public function updateArticleView()
    {
        $postData = $this->request->post();
        $resData = ArticleService::updateArticleView($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess("操作成功");
    }

    public function transferArticle()
    {
        $postData = $this->request->post();
        $resData = ArticleService::transferArticle($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess("操作成功");
    }

    public function batchAddArticleTag()
    {
        $postData = $this->request->post();
        $resData = ArticleService::batchAddArticleTag($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess("操作成功");
    }



}