<?php

namespace app\admin\content\article\controller;

use app\admin\content\article\service\ArticleFieldService;
use app\common\controller\AdminBase;

class ArticleFieldController extends AdminBase
{
    public function addArticleField(): \think\Response
    {
        $itemInfo = input("post.itemInfo/a");
        $resData = ArticleFieldService::addArticleField($itemInfo);
        if ($resData["err"]) {
            return jsonPanic($resData["err"]);
        }
        return jsonSuccess('添加成功');
    }

    public function updateArticleField(): \think\Response
    {
        $itemInfo = input("post.itemInfo/a");
        $resData = ArticleFieldService::updateArticleField($itemInfo);
        if ($resData["err"]) {
            return jsonPanic($resData["err"]);
        }
        return jsonSuccess('修改成功');
    }

    public function getArticleFieldInfo(): \think\Response
    {
        $id = input("post.id");
        $resData = ArticleFieldService::getArticleFieldInfo($id,null);
        return jsonSuccess('成功',$resData);
    }

    public function getArticleFieldList(): \think\Response
    {
        $page = intval(input("post.page") ?? 1);
        $postData = $this->request->post();
        $itemList = ArticleFieldService::getArticleFieldList($postData);
        $total = ArticleFieldService::countArticleField($postData);
        if (count($itemList) > 0) {
            $data["itemList"] = $itemList;
        } else {
            $data["itemList"] = [];
        }
        $data["total"] = $total;
        $data["page"] = $page;
        return jsonSuccess('',$data);
    }

    public function deleteArticleField() {
        $ids = input("post.ids");
        if ($ids == "") {
            return jsonError("缺少ids参数");
        }
        $resData = ArticleFieldService::deleteArticleField($ids);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess("删除成功");
    }

    public function saveArticleFieldSort(): \think\Response
    {
        $sortList = input("post.sortList/a");
        ArticleFieldService::saveArticleFieldSort($sortList);
        return jsonSuccess('');
    }


}