<?php

namespace app\admin\content\article\service;

use app\admin\content\setting\service\UrlRuleService;
use app\common\service\CommonArticleCategoryService;
use app\common\service\CommonArticleService;
use think\facade\Db;

class ArticleBuildUrlService
{

    public static function buildArticleUrl($itemInfo) {
        /*获取规则数据*/
        /*设置缓存*/
        $urlRuleData = UrlRuleService::getUrlRuleData();
        $articleCategoryLevelNum = $urlRuleData["articleCategoryLevelNum"];
        $articleDetailProjectRule = $urlRuleData["articleDetailProjectRule"];
        $articleDetailRule = $urlRuleData["articleDetailRule"];
        $articleDetailSuffixRule = $urlRuleData["articleDetailSuffixRule"];
        $url = "";

        $emptyUrl = "/article/" . $itemInfo["id"] . $articleDetailSuffixRule;
        if ((strpos($articleDetailRule, "{url_name}") !== false)) {
            if ($itemInfo["url_name"]) {
                $emptyUrl = "/article/" . $itemInfo["url_name"] . $articleDetailSuffixRule;
            } else {
                $emptyUrl = "/article/" . $itemInfo["id"] . $articleDetailSuffixRule;
            }
        }
        /*无分类情况*/
        if ($itemInfo["cid"] == 0) {
            $url = $emptyUrl;
        } else {
            $dbCategory = db("article_category")->where("id", $itemInfo["cid"])->find();
            if (!$dbCategory) {
                $url = $emptyUrl;
            } else {
                $projectUrl = "";
                if ($articleDetailProjectRule != "") {
                    $projectUrl = "/" . $articleDetailProjectRule;
                }
                if ($articleDetailRule != "") {
                    if ((strpos($articleDetailRule, "/") !== false) && (strpos($articleDetailRule, "{c_") !== false)) {
                        $tempArray = explode( "/",$articleDetailRule);
                        if (count($tempArray) > 0) {
                            foreach ($tempArray as $key => $val) {
                                if (strpos($val, "{c_") !== false) {
                                    $urlPart = self::getMoreLevelCategoryUrlPart($articleCategoryLevelNum,$val, $dbCategory);
                                    $articleDetailRule = str_replace($val, $urlPart,$articleDetailRule);
                                }
                            }
                        }
                    }
                    if (strpos($articleDetailRule, "{url_name}") !== false) {
                        if ($itemInfo["url_name"]) {
                            $articleDetailRule = str_replace("{url_name}", $itemInfo["url_name"],$articleDetailRule);
                        } else {
                            $articleDetailRule = str_replace("{url_name}", $itemInfo["id"],$articleDetailRule);
                        }
                    } else {
                        $articleDetailRule = str_replace("{id}", $itemInfo["id"],$articleDetailRule);
                    }
                    $url = $projectUrl . "/" . $articleDetailRule;
                }
                if ($articleDetailSuffixRule != "") {
                    $url = $url . $articleDetailSuffixRule;
                }
            }
        }
	    return $url;
    }

    public static function buildArticleCategoryUrl($dbCategory) {
        $urlRuleData = UrlRuleService::getUrlRuleData();

        $articleCategoryLevelNum = $urlRuleData["articleCategoryLevelNum"];
        $articleCategoryProjectRule = $urlRuleData["articleCategoryProjectRule"];
        $articleCategoryRule = $urlRuleData["articleCategoryRule"];
        $articleCategorySuffixRule = $urlRuleData["articleCategorySuffixRule"];
        $url = "";
        if ($articleCategoryProjectRule != "") {
            $url = $url . "/" . $articleCategoryProjectRule;
        }
        if ($articleCategoryRule != "") {
            $urlPart = self::getMoreLevelCategoryUrlPart($articleCategoryLevelNum,$articleCategoryRule, $dbCategory);
            $url = $url . "/" . $urlPart;
        }
        if ($articleCategorySuffixRule != "") {
            $url = $url . $articleCategorySuffixRule;
        }
        return $url;
    }

    public static function getMoreLevelCategoryUrlPart($articleCategoryLevelNum,$partRule, $dbCategory) {

        $urlPart = "";
        $cBeforeName = "";
        $cFieldName = "url_name";
        if (strpos($partRule, "{") !== false) {
            preg_match('/(.*)\{(.*)\}/', $partRule, $matches);
            if ($matches) {
                $cBeforeName = $matches[1];
                $cFieldName = str_replace("c_", "",$matches[2]);
            }
        }

        $constructUrlPart = function($category) use ($cBeforeName, $cFieldName) {
            if (isset($category[$cFieldName])) {
                return $cBeforeName . $category[$cFieldName];
            }
            return '';
        };

        if ($articleCategoryLevelNum == 1) {
            $urlPart = $constructUrlPart($dbCategory);
        }
        if ($articleCategoryLevelNum == 2) {
            if ($dbCategory["level"] == 0) {
                $urlPart = $constructUrlPart($dbCategory);
            } else if (($dbCategory["level"] == 1) && ($dbCategory["pid"] != 0)) {
                $parentCategory = db("article_category")->where("id", $dbCategory["pid"])->find();
                if ($parentCategory) {
                    $urlPart = $constructUrlPart($parentCategory) . "/" . $constructUrlPart($dbCategory);
                }
            } else if (($dbCategory["level"] == 2) && ($dbCategory["pid"] != 0)) {
                $parentCategory = db("article_category")->where("id", $dbCategory["pid"])->find();
                if ($parentCategory) {
                    $parentParentCategory = db("article_category")->where("id", $parentCategory["pid"])->find();
                    if ($parentParentCategory) {
                        $urlPart = $constructUrlPart($parentParentCategory) . "/" . $constructUrlPart($parentCategory). "/" . $constructUrlPart($dbCategory);
                    }
                }
            }
        }
        return $urlPart;
    }



}