<?php

namespace app\admin\content\download\controller;

use app\admin\content\article\service\ArticleCategoryService;
use app\admin\content\tag\service\TagCategoryService;
use app\common\controller\AdminBase;
use app\common\service\CommonArticleService;
use app\common\service\CommonTagCategoryService;
use app\common\service\CommonTagService;
use function db;
use const DS;
use const ROOT_PATH;

class DownloadController extends AdminBase
{

    public function exportArticle()
    {
        if (!file_exists(ROOT_PATH . "runtime" . DS . "temp")) {
            mkdir(ROOT_PATH . "runtime" . DS . "temp");
        }
        $filename = date("Y-m-d", time()) . "_" . time() .  ".txt";
        $filePath = ROOT_PATH . "runtime" . DS . "temp" . DS . $filename;
        file_put_contents($filePath,"");
        $itemList = db("article")->field("id,cid,url")->order("id","desc")->select()->all();
        if (count($itemList) > 0) {
            foreach ($itemList as $index => $item) {
                $url = CommonArticleService::getArticleUrl($item);
                file_put_contents($filePath,$url.PHP_EOL, FILE_APPEND);
            }
        }
        $this->download($filename,$filePath);
    }

    public function exportTag()
    {
        if (!file_exists(ROOT_PATH . "runtime" . DS . "temp")) {
            mkdir(ROOT_PATH . "runtime" . DS . "temp");
        }
        $filename = date("Y-m-d", time()) . "_" . time() .  ".txt";
        $filePath = ROOT_PATH . "runtime" . DS . "temp" . DS . $filename;
        file_put_contents($filePath,"");
        $itemList = db("tag")->field("id,cid,url_name,title,url")->order("id","desc")->select()->all();
        if (count($itemList) > 0) {
            foreach ($itemList as $index => $item) {
                if ($item["cid"] != 0) {
                    $itemList[$index]["categoryInfo"] = TagCategoryService::getTagCategoryInfo($item["cid"]);
                } else {
                    $itemList[$index]["categoryInfo"] = CommonTagCategoryService::configDefaultCategoryInfo();
                }
                $itemList[$index]["url"] = CommonTagService::getTagUrl($itemList[$index]);
                file_put_contents($filePath,$itemList[$index]["url"].PHP_EOL, FILE_APPEND);
            }
        }
        $this->download($filename,$filePath);
    }

    private function download($filename,$filePath)
    {
        if(!file_exists($filePath)) die("抱歉，文件不存在！");
        ob_clean();//清除一下缓冲区
        //检查文件是否可读
        if(!is_file($filePath) || !is_readable($filePath)) exit('Can not access file '.$filename);
        /**
         * 这里应该加上安全验证之类的代码，例如：检测请求来源、验证UA标识等等
         */
        //以只读方式打开文件，并强制使用二进制模式
        $fileHandle=fopen($filePath,"rb");
        if($fileHandle===false){
            exit("Can not open file: $filename");
        }
        //文件类型是二进制流。设置为utf8编码（支持中文文件名称）
        header('Content-type:application/octet-stream; charset=utf-8');
        header("Content-Transfer-Encoding: binary");
        header("Accept-Ranges: bytes");
        //文件大小
        header("Content-Length: ".filesize($filePath));
        //触发浏览器文件下载功能
        header('Content-Disposition:attachment;filename="'.urlencode($filename).'"');
        //循环读取文件内容，并输出
        while(!feof($fileHandle)) {
            //从文件指针 handle 读取最多 length 个字节（每次输出10k）
            echo fread($fileHandle, 10240);
        }
        //关闭文件流
        fclose($fileHandle);
    }


}

