<?php
namespace app\admin\content\page\controller;
use app\admin\content\page\service\PageService;
use app\admin\content\setting\service\SettingService;
use app\common\controller\AdminBase;

class PageController extends AdminBase
{
    public function addPage()
    {
        $postData = input('post.itemInfo/a');
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = PageService::addPage($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('',$resData["data"]);
    }
    
    public function updatePage()
    {
        $postData = input('post.itemInfo/a');
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = PageService::updatePage($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('操作成功');
    }

    /*查询单个信息*/
    public function getPageInfo() {
        $id = input('post.id');
        $itemInfo = PageService::getPageInfo($id);
        return jsonSuccess('',$itemInfo);
    }
    
    public function getPageList()
    {
        $page = intval(input("post.page") ?? 1);
        $postData = $this->request->post();
        $itemList = PageService::getPageList($postData);
        $total = PageService::countPage($postData);
        if (count($itemList) > 0) {
            $data["itemList"] = $itemList;
        } else {
            $data["itemList"] = [];
        }
        $data["total"] = $total;
        $data["page"] = $page;
        return jsonSuccess('',$data);
    }

    public function deletePage()
    {
        $ids = input('post.ids');
        if (!$ids) {
            return jsonError('缺少参数');
        }
        $resData = PageService::deletePage($ids);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('成功');
    }

    public function getPageTemplate(): \think\Response
    {
        $settingInfo = SettingService::getSettingData();
        $pages = [];
        $template = config("view.view_dir_name")  . DS . $settingInfo["template"] . DS . "html" . DS . "page" . DS;
        if (is_dir($template)) {
            $templateFile = opendir($template);
            if ($templateFile) {
                while (false !== ($file = readdir($templateFile))) {
                    if (substr($file, 0, 1) != '.' AND is_file($template . DS . $file)) {
                        $pages[] = $file;
                    }
                }
                closedir($templateFile);
            }
        }
        sort($pages);
        return jsonSuccess('',$pages);
    }
    
}