<?php
namespace app\admin\content\push\controller;

use app\admin\content\article\service\ArticleService;
use app\admin\content\book\service\BookService;
use app\admin\content\push\service\PushService;
use app\common\controller\AdminBase;

class PushController extends AdminBase
{

    public function submitPush()
    {
        $postData = $this->request->post();
        $resData = PushService::submitPush($postData);
        if ($resData["err"]) {
            return jsonPanic($resData["err"]);
        }
        return jsonSuccess('');
    }

    public function getArticlePushList()
    {
        $page = intval(input("post.page") ?? 1);
        $postData = $this->request->post();
        $itemList = ArticleService::getArticleList($postData);
        $itemList = PushService::getPushArticleList($itemList);
        $total = ArticleService::countArticle($postData);
        if (count($itemList) > 0) {
            $data["itemList"] = $itemList;
        } else {
            $data["itemList"] = [];
        }
        $data["total"] = $total;
        $data["page"] = $page;
        return jsonSuccess('',$data);
    }
}