<?php
namespace app\admin\content\push\service;


use app\admin\content\article\service\ArticleService;

class PushService
{
    public static function submitPush($paramData): array {
        $itemIds = $paramData["itemIds"] ?? "";
        $pushType = $paramData["pushType"] ?? "";
        $itemType = $paramData["itemType"] ?? "";
        if (!$itemIds) {
            return resError("项目ID不能为空");
        }
        $itemIdsArray = explode(",", $itemIds);
        if ($itemType == "article") {
            if (count($itemIdsArray) == 1) {
                $bookInfo = ArticleService::getArticleInfo($itemIds);
                $urls = explode(",", $bookInfo["url"]);
            } else {
                $articleList = ArticleService::getArticleList(["id" => $itemIds]);
                $urlArray = [];
                if ($articleList) {
                    foreach ($articleList as $key => $value) {
                        $urlArray[] = $value["url"];
                    }
                }
                $urls = $urlArray;
            }
        } else {
            return resError("当前系统不支持该类型推送");
        }
        if ($pushType == "baiduDefaultPush") {
            $baiduDefaultStatusData = db("push_setting")->where("name","baiduDefaultStatus")->find();
            if ($baiduDefaultStatusData["data"] != "1") {
                return resError("推送状态尚未启用，无法推送");
            }
            $pushSettingData = db("push_setting")->where("name","baiduDefaultAddress")->find();
            $api = trim($pushSettingData["data"]);
        } else {
            return resError("推送类型暂不支持");
        }
        $ch = curl_init();
        $options =  array(
            CURLOPT_URL => $api,
            CURLOPT_POST => true,
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_POSTFIELDS => implode("\n", $urls),
            CURLOPT_HTTPHEADER => array('Content-Type: text/plain'),
        );
        curl_setopt_array($ch, $options);
        $result = curl_exec($ch);
        $res = json_decode($result,true);
        if (!isset($res['error'])) {
            $pass = false;
            if (isset($res['not_valid'])) {
                if (count($res['not_valid']) == 0) {
                    if (isset($res['not_same_site'])) {
                        if (count($res['not_same_site']) == 0) {
                            $pass = true;
                        } else {
                            $pass = false;
                        }
                    }
                } else {
                    $pass = false;
                }
            } else {
                if (isset($res['not_same_site'])) {
                    if (count($res['not_same_site']) == 0) {
                        $pass = true;
                    } else {
                        $pass = false;
                    }
                } else {
                    $pass = true;
                }
            }
            if ($pass) {
                if (intval($res["success"]) != 0 && count($urls) == intval($res["success"])) {
                    if ($itemType == "article") {
                        if (count($itemIdsArray) == 1) {
                            $itemId = $itemIds;
                            $pushInfo = db("push_article")->where("item_id", $itemId)->find();
                            if ($pushInfo) {
                                db("push_article")->where("item_id", $itemId)->update(["baidu_default_push_num" => $pushInfo["baidu_default_push_num"] + 1]);
                            } else {
                                db("push_article")->where("item_id", $itemId)->insert(["item_id" => $itemId, "baidu_default_push_num" => 1]);
                            }
                        } else {
                            foreach ($itemIdsArray as $key => $value) {
                                $itemId = $value;
                                $pushInfo = db("push_article")->where("item_id", $itemId)->find();
                                if ($pushInfo) {
                                    db("push_article")->where("item_id", $itemId)->update(["baidu_default_push_num" => $pushInfo["baidu_default_push_num"] + 1]);
                                } else {
                                    db("push_article")->where("item_id", $itemId)->insert(["item_id" => $itemId, "baidu_default_push_num" => 1]);
                                }
                            }
                        }
                    }
                    return resSuccess();
                } else {
                    return resError(json_encode($res));
                }
            } else {
                return resError(json_encode($res));
            }
        } else {
            return resError($res["message"]);
        }
    }

    public static function getPushArticleList($itemList): array {
        if ($itemList) {
            foreach ($itemList as $key => $item) {
                $dbInfo = db("push_article")->where("item_id", $item["id"])->find();
                if ($dbInfo) {
                    $itemList[$key]["baidu_default_push_num"] = $dbInfo["baidu_default_push_num"];
                } else {
                    $itemList[$key]["baidu_default_push_num"] = 0;
                }
            }
        }
        return $itemList;
    }

}