<?php
namespace app\admin\content\search\controller;
use app\admin\content\search\service\SearchDiyService;
use app\common\controller\AdminBase;

class SearchDiyController extends AdminBase
{
    public function addSearchDiy()
    {
        $postData = input('post.itemInfo/a');
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = SearchDiyService::addSearchDiy($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('成功',$resData["data"]);
    }

    public function batchAddSearchDiy()
    {
        $postData = $this->request->post();
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = SearchDiyService::batchAddSearchDiy($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('',$resData["data"]);
    }

    public function updateSearchDiy()
    {
        $postData = input('post.itemInfo/a');
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = SearchDiyService::updateSearchDiy($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('操作成功');
    }

    public function getSearchDiyInfo()
    {
        $id = input("post.id");
        $itemInfo = SearchDiyService::getSearchDiyInfo($id);
        return jsonSuccess('',$itemInfo);
    }

    public function getSearchDiyList()
    {
        $page = intval(input("post.page") ?? 1);
        $postData = $this->request->post();
        $itemList = SearchDiyService::getSearchDiyList($postData);
        $total = SearchDiyService::countSearchDiy($postData);
        if (count($itemList) > 0) {
            $data["itemList"] = $itemList;
        } else {
            $data["itemList"] = [];
        }
        $data["total"] = $total;
        $data["page"] = $page;
        return jsonSuccess('',$data);
    }

    public function deleteSearchDiy()
    {
        $ids = input('post.ids');
        if (!$ids) {
            return jsonError('缺少参数');
        }
        $resData = SearchDiyService::deleteSearchDiy($ids);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('成功');
    }

}
