<?php
namespace app\admin\content\search\controller;
use app\admin\content\search\service\SearchInterceptService;
use app\common\controller\AdminBase;

class SearchInterceptController extends AdminBase
{
    public function addSearchIntercept()
    {
        $postData = input('post.itemInfo/a');
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = SearchInterceptService::addSearchIntercept($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('成功',$resData["data"]);
    }

    public function batchAddSearchIntercept()
    {
        $postData = $this->request->post();
        $resData = SearchInterceptService::batchAddSearchIntercept($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('',$resData["data"]);
    }

    public function updateSearchIntercept()
    {
        $postData = input('post.itemInfo/a');
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = SearchInterceptService::updateSearchIntercept($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('操作成功');
    }

    public function getSearchInterceptInfo()
    {
        $id = input("post.id");
        $itemInfo = SearchInterceptService::getSearchInterceptInfo($id);
        return jsonSuccess('',$itemInfo);
    }
    public function getSearchInterceptList()
    {
        $page = intval(input("post.page") ?? 1);
        $postData = $this->request->post();
        $itemList = SearchInterceptService::getSearchInterceptList($postData);
        $total = SearchInterceptService::countSearchIntercept($postData);
        if (count($itemList) > 0) {
            $data["itemList"] = $itemList;
        } else {
            $data["itemList"] = [];
        }
        $data["total"] = $total;
        $data["page"] = $page;
        return jsonSuccess('',$data);
    }

    public function deleteSearchIntercept()
    {
        $ids = input('post.ids');
        if (!$ids) {
            return jsonError('缺少参数');
        }
        $resData = SearchInterceptService::deleteSearchIntercept($ids);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('成功');
    }

}
