<?php
namespace app\admin\content\search\controller;
use app\admin\content\search\service\SearchKeywordsService;
use app\common\controller\AdminBase;

class SearchKeywordsController extends AdminBase
{

    public function getSearchKeywordsInfo()
    {
        $id = input("post.id");
        $itemInfo = SearchKeywordsService::getSearchKeywordsInfo($id);
        return jsonSuccess('',$itemInfo);
    }
    public function getSearchKeywordsList()
    {
        $page = intval(input("post.page") ?? 1);
        $postData = $this->request->post();
        $itemList = SearchKeywordsService::getSearchKeywordsList($postData);
        $total = SearchKeywordsService::countSearchKeywords($postData);
        if (count($itemList) > 0) {
            $data["itemList"] = $itemList;
        } else {
            $data["itemList"] = [];
        }
        $data["total"] = $total;
        $data["page"] = $page;
        return jsonSuccess('',$data);
    }

    public function batchAddSearchKeywords()
    {
        $postData = $this->request->post();
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = SearchKeywordsService::batchAddSearchKeywords($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('',$resData["data"]);
    }


    public function deleteSearchKeywords()
    {
        $ids = input('post.ids');
        if (!$ids) {
            return jsonError('缺少参数');
        }
        $resData = SearchKeywordsService::deleteSearchKeywords($ids);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('成功');
    }

}
