<?php
namespace app\admin\content\search\service;


use app\common\service\CommonSearchService;

class SearchLogService
{

    public static function getSearchLogList($paramData)
    {
        $page = intval($paramData["page"] ?? 1);
        $limit = intval($paramData["limit"] ?? 10);
        $orderBy = ($paramData["orderBy"] ?? "id") ?: "id";
        $order = ($paramData["order"] ?? "desc") ?: "desc";
        $keywords = $paramData["keywords"] ?? "";
        $dbSelect = db("search_log");
        if ($keywords != "") {
            $dbSelect = $dbSelect->where("title","like","%" . $keywords . "%");
        }
        $itemList = $dbSelect->page($page,$limit)->order($orderBy, $order)->select()->all();
        if (count($itemList) > 0) {
            foreach($itemList as $index => $item) {
                $item["keywords"] = $item["title"];
                $itemList[$index] = CommonSearchService::buildSearchUrl($item);
            }
        }
        return $itemList;
    }

    public static function countSearchLog($paramData): int
    {
        $keywords = $paramData["keywords"] ?? "";
        $dbSelect = db("search_log");
        if ($keywords != "") {
            $dbSelect = $dbSelect->where("title","like","%" . $keywords . "%");
        }
        $total = $dbSelect->count("*");
        return $total;
    }

    public static function deleteSearchLog($ids): array
    {
        if (!$ids) {
            return resError('缺少参数');
        }
        $idsArray = explode(",",$ids);
        if (count($idsArray) > 0) {
            foreach ($idsArray as $key => $id) {
                $itemInfo = db("search_log")->where('id',$id)->find();
                if (!$itemInfo) {
                    return resError('删除项不存在');
                }
                db("search_log")->where('id',$id)->delete();
            }
        }
        return resSuccess();
    }
}
