<?php
namespace app\admin\content\search\service;

use function db;
use function getWords;
use function resError;
use function resSuccess;

class SearchWordsRelService
{

    public static function getSearchWordsRelList($paramData): array {
        $relType = ($paramData["relType"] ?? "a") ?: "a";
        $itemId = intval($paramData["itemId"] ?? 0);
        $itemList = db("search_words_rel")->where("item_id",$itemId)->where("rel_type",$relType)->select()->all();
        if ($itemList) {
            return $itemList;
        }
        return [];
    }


    public static function addSearchWordsRel($paramData): array
    {
        $title = $paramData["title"] ?? "";
        $itemId = intval($paramData["itemId"] ?? 0);
        $relType = ($paramData["relType"] ?? "a") ?: "a";
        if ($title == "") {
            return resError("标题不能为空");
        }
        if ($itemId == 0) {
            return resError("关联项不能为空");
        }
        $wordsArray = getWords($title);
        db("search_words_rel")->where("item_id",$itemId)->where("rel_type",$relType)->delete();
        if (count($wordsArray) > 0) {
            foreach ($wordsArray as $key => $item) {
                $words = trim($item);
                if ($words != "") {
                    $searchData = db("search_words")->where("words",$words)->find();
                    $wordId = 0;
                    if (!$searchData) {
                        $indexId = db("search_words")->InsertGetId([
                            "words" => $words,
                        ]);
                        $wordId = $indexId;
                    } else {
                        $wordId = $searchData["id"];
                    }
                    if ($wordId != 0) {
                        $tagRelInfo = db("search_words_rel")->where("item_id", $itemId)->where("words_id",$wordId)->where("rel_type",$relType)->find();
                        if (!$tagRelInfo) {
                            db("search_words_rel")->insert([
                                "words_id" => $wordId,
                                "item_id" => $itemId,
                                "rel_type" => $relType,
                            ]);
                            /*更新关联数量*/
                            $count = db("search_words_rel")->where("words_id",$wordId)->count("*");
                            db("search_words")->where("id",$wordId)->update(["rel_num" => $count]);
                        }
                    }
                }
            }
        }
        return resSuccess();
    }

    public static function deleteSearchRel($paramData) {
        $relType = ($paramData["relType"] ?? "a") ?: "a";
        $itemId = intval($paramData["itemId"] ?? 0);
        if ($itemId == 0) {
            return resError("缺少必要的itemId参数");
        }
        db("search_words_rel")->where("item_id",$itemId)->where("rel_type",$relType)->delete();
        return resSuccess();
    }

}