<?php
namespace app\admin\content\search\service;



class SearchWordsService
{

    public static function getSearchWordsList($paramData)
    {
        $page = intval($paramData["page"] ?? 1);
        $limit = intval($paramData["limit"] ?? 10);
        $orderBy = ($paramData["orderBy"] ?? "id") ?: "id";
        $order = ($paramData["order"] ?? "desc") ?: "desc";
        $keywords = $paramData["keywords"] ?? "";
        $itemId = intval($paramData["itemId"] ?? 0);
        $relType = ($paramData["relType"] ?? "a") ?: "a";
        $dbSelect = db("search_words");
        if ($keywords != "") {
            $dbSelect = $dbSelect->where("title","like","%" . $keywords . "%");
        }
        $itemList = [];
        if ($itemId) {
            $relList = SearchWordsRelService::getSearchWordsRelList(["itemId" => $itemId,"relType" => $relType]);
            $wordsIdArray = [];
            if ($relList) {
                foreach ($relList as $item) {
                    $wordsIdArray[] = $item["words_id"];
                }
            }
            if ($wordsIdArray) {
                $itemList = $dbSelect->where("id","in",$wordsIdArray)->select()->all();
            }
        } else {
            $itemList = $dbSelect->page($page,$limit)->order($orderBy, $order)->select()->all();
        }
        return $itemList;
    }

    public static function countSearchWords($paramData): int
    {
        $keywords = $paramData["keywords"] ?? "";
        $relType = ($paramData["relType"] ?? "a") ?: "a";
        $itemId = intval($paramData["itemId"] ?? 0);
        $dbSelect = db("search_words");
        if ($keywords != "") {
            $dbSelect = $dbSelect->where("title","like","%" . $keywords . "%");
        }
        if ($itemId) {
            $relList = SearchWordsRelService::getSearchWordsRelList(["itemId" => $itemId,"relType" => $relType]);
            $wordsIdArray = [];
            if ($relList) {
                foreach ($relList as $item) {
                    $wordsIdArray[] = $item["words_id"];
                }
            }
            if ($wordsIdArray) {
                $itemList = $dbSelect->where("id","in",$wordsIdArray)->count("*");
                return $itemList;
            }
        } else {
            $total = $dbSelect->count("*");
        }
        return $total;
    }
}
