<?php
namespace app\admin\content\setting\service;


use think\facade\Db;

class UrlRuleService
{
    public static function updateUrlRule($paramData): array
    {
        if (!is_array($paramData)) {
            return resError("参数类型错误");
        }
        if (count($paramData) > 0) {
            foreach ($paramData as $index => $item) {
                if (db("base_url_rule")->where("name", $index)->find()) {
                    db("base_url_rule")->where("name", $index)->update(["rule" => trim($item)]);
                } else {
                    db("base_url_rule")->insertGetId([
                        "name" => $index,
                        "rule" => trim($item)
                    ]);
                }
            }
        }
        return resSuccess();
    }

    public static function getUrlRuleData() {
        /*默认规则*/
        $defaultData = [
            "articleCategoryLevelNum" => 2,
            "articleCategoryProjectRule" => "",
            "articleCategoryRule" => "{c_url_name}",
            "articleCategorySuffixRule" => "/",
            "articleDetailProjectRule" => "",
            "articleDetailRule" => "{c_url_name}/{id}",
            "articleDetailSuffixRule" => ".html",

            "tagCategoryLevelNum" => 1,
            "tagCategoryProjectRule" => "tag",
            "tagCategoryRule" => "{c_url_name}",
            "tagCategorySuffixRule" => "/",
            "tagDetailProjectRule" => "tag",
            "tagDetailRule" => "{url_name}",
            "tagDetailSuffixRule"=> ".html",
        ];
        $dbData = db("base_url_rule")->select()->all();
        if ($dbData) {
            foreach ($dbData as $key => $item) {
                $defaultData[$item['name']] = $item["rule"];
                if ($item['name'] == "articleCategoryLevelNum" || $item['name'] == "tagCategoryLevelNum") {
                    $defaultData[$item['name']] = intval($item["rule"]);
                }
            }
        }
        return $defaultData;
    }
}