<?php


namespace app\admin\content\special\controller;


use app\admin\content\special\service\SpecialService;
use app\common\controller\AdminBase;

class SpecialController extends AdminBase
{
    public function addSpecial(): \think\Response
    {
        $postData = input("post.itemInfo/a");
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = SpecialService::addSpecial($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('添加成功',$resData["data"]);
    }

    public function updateSpecial(): \think\Response
    {
        $postData = input("post.itemInfo/a");
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = SpecialService::updateSpecial($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('修改成功');
    }

    public function getSpecialInfo(): \think\Response
    {
        $id = input("post.id");
        $resData = SpecialService::getSpecialInfo($id);
        return jsonSuccess('成功',$resData);
    }
    public function getSpecialList() {
        $page = intval(input("post.page") ?? 1);
        $postData = $this->request->post();
        $itemList = SpecialService::getSpecialList($postData);
        $total = SpecialService::countSpecial($postData);
        if (count($itemList) > 0) {
            $data["itemList"] = $itemList;
        } else {
            $data["itemList"] = [];
        }
        $data["total"] = $total;
        $data["page"] = $page;
        return jsonSuccess('',$data);
    }

    public function deleteSpecial(): \think\Response
    {
        $ids = input("post.ids");
        if ($ids == "") {
            return jsonError("缺少ids参数");
        }
        $resData = SpecialService::deleteSpecial($ids);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess("删除成功");
    }

    public function saveSpecialSort(): \think\Response
    {
        $postData = input("post.sortList/a");
        if (!$postData) {
            return jsonError("参数错误");
        }
        SpecialService::saveSpecialSort($postData);
        return jsonSuccess('');
    }
}
