<?php


namespace app\admin\content\special\controller;


use app\admin\content\special\service\SpecialRelService;
use app\admin\content\special\service\SpecialService;
use app\common\controller\AdminBase;

class SpecialRelController extends AdminBase
{
    public function addSpecialRel(): \think\Response
    {
        $postData = $this->request->post();
        $resData = SpecialRelService::addSpecialRel($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('添加成功');
    }

    public function getSpecialRelInfo(): \think\Response
    {
        $id = input("post.id");
        $resData = SpecialRelService::getSpecialRelInfo($id);
        return jsonSuccess('成功',$resData);
    }

    public function getSpecialRelList() {
        $page = intval(input("post.page") ?? 1);
        $postData = $this->request->post();
        $itemList = SpecialRelService::getSpecialRelList($postData);
        $total = SpecialRelService::countSpecialRel($postData);
        if (count($itemList) > 0) {
            $data["itemList"] = $itemList;
        } else {
            $data["itemList"] = [];
        }
        $data["total"] = $total;
        $data["page"] = $page;
        return jsonSuccess('',$data);
    }

    public function removeSpecialRel(): \think\Response
    {
        $postData = $this->request->post();
        $resData = SpecialRelService::removeSpecialRel($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess("删除成功");
    }

    public function deleteSpecialRel(): \think\Response
    {
        $ids = input("post.ids");
        if ($ids == "") {
            return jsonError("缺少ids参数");
        }
        $resData = SpecialRelService::deleteSpecialRel($ids);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess("删除成功");
    }

    public function saveSpecialRelSort(): \think\Response
    {
        $postData = input("post.sortList/a");
        if (!$postData) {
            return jsonError("参数错误");
        }
        SpecialRelService::saveSpecialRelSort($postData);
        return jsonSuccess('');
    }
}
