<?php
namespace app\admin\content\statistics\service;


use app\admin\siteStatistics\service\SiteStatisticsService;

class StatisticsService
{
    public static function getStatisticsCount(): array
    {
        $dbData = db("base_statistics")->select()->all();
        $articleNum = 0;
        $tagNum = 0;
        $spiderNum = 0;
        if (count($dbData) > 0) {
            foreach ($dbData as $key => $item) {
                if ($item["name"] == "articleNum") {
                    $articleNum += $item["num"];
                }
                if ($item["name"] == "tagNum") {
                    $tagNum += $item["num"];
                }
                if ($item["name"] == "spiderNum") {
                    $spiderNum += $item["num"];
                }
            }
        }
        $spiderNum = db("spider")->count("*");
        return ["articleNum" => $articleNum, "tagNum" => $tagNum, "spiderNum" => $spiderNum];
    }

    public static function updateArticleCount($paramData): array
    {
        $count = db("article")->count("*");
        db("base_statistics")->where("name","articleNum")->update(["num" => $count]);
        $isCMS = Get("isCMS");
        if (!$isCMS) {
            SiteStatisticsService::updateArticleCount(["siteId" => Get("siteId"), "num" => $count]);
        }
        return resSuccess();
    }
    public static function updateTagCount($paramData): array
    {
        $count = db("tag")->count("*");
        db("base_statistics")->where("name","tagNum")->update(["num" => $count]);
        $isCMS = Get("isCMS");
        if (!$isCMS) {
            SiteStatisticsService::updateTagCount(["siteId" => Get("siteId"), "num" => $count]);
        }
        return resSuccess();
    }
    public static function updateSpiderCount($paramData): array
    {
        $count = db("spider")->count("*");
        db("base_statistics")->where("name","spiderNum")->update(["num" => $count]);
        $isCMS = Get("isCMS");
        if (!$isCMS) {
            SiteStatisticsService::updateSpiderCount(["siteId" => Get("siteId"), "num" => $count]);
        }
        return resSuccess();
    }
}
