<?php
namespace app\admin\content\tag\controller;

use app\admin\content\setting\service\SettingService;
use app\common\controller\AdminBase;
use app\admin\content\tag\service\TagCategoryService;

class TagCategoryController extends AdminBase
{
    public function addTagCategory(): \think\Response
    {
        $postData = input("post.category/a");
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = TagCategoryService::addTagCategory($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('添加成功',$resData["data"]);
    }

    public function updateTagCategory(): \think\Response
    {
        $postData = input("post.category/a");
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = TagCategoryService::updateTagCategory($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('修改成功');
    }

    public function updateTagCategoryUrl(): \think\Response
    {
        $resData = TagCategoryService::updateTagCategoryUrl();
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('操作成功');
    }

    public function getTagCategoryInfo(): \think\Response
    {
        $id = input("post.id");
        $resData = TagCategoryService::getTagCategoryInfo($id);
        return jsonSuccess('',$resData);
    }

    public function getTagCategoryList(): \think\Response
    {
        $page = intval(input("post.page") ?? 1);
        $postData = $this->request->post();
        $itemList = TagCategoryService::getTagCategoryList($postData);
        $total = TagCategoryService::countTagCategory($postData);
        if (count($itemList) > 0) {
            $data["itemList"] = $itemList;
        } else {
            $data["itemList"] = [];
        }
        $data["total"] = $total;
        $data["page"] = $page;
        return jsonSuccess('',$data);
    }

    public function deleteTagCategory(): \think\Response
    {
        $ids = input("post.ids");
        if ($ids == "") {
            return jsonError("缺少ids参数");
        }
        $resData = TagCategoryService::deleteTagCategory($ids);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess("删除成功");
    }

    public function saveTagCategorySort(): \think\Response
    {
        $postData = input("post.sortList/a");
        if (!$postData) {
            return jsonError("参数错误");
        }
        if (count($postData) > 0) {
            TagCategoryService::saveTagCategorySort($postData);
        }
        return jsonSuccess('');
    }

    public function getTagCategoryTemplate(): \think\Response
    {
        $settingInfo = SettingService::getSettingData();
        $pages = [];
        $template = config("view.view_dir_name")  . DS . $settingInfo["template"] . DS . "html" . DS . "tag" . DS;
        if (is_dir($template)) {
            $templateFile = opendir($template);
            if ($templateFile) {
                while (false !== ($file = readdir($templateFile))) {
                    if (substr($file, 0, 1) != '.' AND is_file($template . DS . $file)) {
                        $pages[] = $file;
                    }
                }
                closedir($templateFile);
            }
        }
        sort($pages);
        return jsonSuccess('',$pages);
    }

}