<?php
namespace app\admin\content\tag\controller;

use app\common\controller\AdminBase;
use app\admin\content\tag\service\TagService;

class TagController extends AdminBase
{

    public function addTag(): \think\Response
    {
        $postData = input("post.itemInfo/a");
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = TagService::addTag($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('添加成功',$resData["data"]);
    }

    public function batchAddTag()
    {
        $tags = input('post.tags');
        $cid = intval(input('post.cid') ?? 0);
        $tagArray = explode(',', $tags);
        if ($tagArray) {
            foreach ($tagArray as $key => $value) {
                $value = trim($value);
                if (empty($value) || ($value == "")) continue;
                $itemInfo["cid"] = $cid;
                $itemInfo["title"] = $value;
                $itemInfo["isBatch"] = true;
                $resData = TagService::addTag($itemInfo);
                if ($resData["err"]) {
                    return jsonError($resData["err"]);
                }
            }
        }
        return jsonSuccess('成功');
    }

    public function updateTag(): \think\Response
    {
        $postData = input("post.itemInfo/a");
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = TagService::updateTag($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('修改成功');
    }


    public function updateTagUrl(): \think\Response
    {
        $resData = TagService::updateTagUrl();
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('操作成功');
    }

    public function getTagInfo(): \think\Response
    {
        $id = intval(input("post.id") ?? 0);
        $resData = TagService::getTagInfo($id,[]);
        return jsonSuccess('成功',$resData);
    }

    public function getTagList(): \think\Response
    {
        $page = intval(input("post.page") ?? 1);
        $postData = $this->request->post();
        $itemList = TagService::getTagList($postData);
        $total = TagService::countTag($postData);
        if (count($itemList) > 0) {
            $data["itemList"] = $itemList;
        } else {
            $data["itemList"] = [];
        }
        $data["total"] = $total;
        $data["page"] = $page;
        return jsonSuccess('',$data);
    }

    public function deleteTag(): \think\Response
    {
        $ids = input("post.ids");
        if ($ids == "") {
            return jsonError("缺少ids参数");
        }
        $resData = TagService::deleteTag($ids);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess("删除成功");
    }

    public function transferTag()
    {
        $postData = $this->request->post();
        $resData = TagService::transferTag($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess("操作成功");
    }


    public function updateIndexNumTag(): \think\Response
    {
        $postData = $this->request->post();
        $resData = TagService::updateIndexNumTag();
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess("操作成功");
    }


}