<?php

namespace app\admin\content\tag\service;

use app\admin\content\setting\service\UrlRuleService;
use app\common\service\CommonTagCategoryService;

class TagBuildUrlService
{

    public static function buildTagUrl($dbTagInfo) :string {
        /*获取规则数据*/
        /*设置缓存*/
        $urlRuleData = UrlRuleService::getUrlRuleData();
        $tagCategoryLevelNum = $urlRuleData["tagCategoryLevelNum"];
        $tagDetailProjectRule = $urlRuleData["tagDetailProjectRule"];
        $tagDetailRule = $urlRuleData["tagDetailRule"];
        $tagDetailSuffixRule = $urlRuleData["tagDetailSuffixRule"];
        $url = "";
        if ($dbTagInfo["cid"] == 0) {
            return CommonTagCategoryService::configDefaultCategoryInfo()["url"];
        } else {
            $dbCategory = db("tag_category")->where("id", $dbTagInfo["cid"])->find();
        }
        if ($dbCategory) {
            if ($tagDetailProjectRule != "") {
                $url = $url  . "/" . $tagDetailProjectRule;
            }
            if ($tagDetailRule != "") {
                if ((strpos($tagDetailRule, "/") !== false) && (strpos($tagDetailRule, "{c_") !== false)) {
                    $tempArray = explode($tagDetailRule, "/");
                    if (count($tempArray) > 0) {
                        foreach ($tempArray as $key => $val) {
                            if (strpos($val, "{c_") !== false) {
                                $urlPart = self::getTagMoreLevelCategoryUrlPart($tagCategoryLevelNum,$val, $dbCategory);
                                $tagDetailRule = str_replace($val, $urlPart,$tagDetailRule);
                            }
                        }
                    }
                }
                $tagDetailRule = str_replace( "{url_name}", $dbTagInfo["url_name"],$tagDetailRule);
                $tagDetailRule = str_replace( "{id}", $dbTagInfo["id"],$tagDetailRule);
                $url = $url . "/" . $tagDetailRule;
            }
            if ($tagDetailSuffixRule != "") {
                $url = $url . $tagDetailSuffixRule;
            }
        }
        return $url;
    }

    public static function buildTagCategoryUrl($dbCategory) :string {
        $urlRuleData = UrlRuleService::getUrlRuleData();
        $tagCategoryLevelNum = $urlRuleData["tagCategoryLevelNum"];
        $tagCategoryProjectRule = $urlRuleData["tagCategoryProjectRule"];
        $tagCategoryRule = $urlRuleData["tagCategoryRule"];
        $tagCategorySuffixRule = $urlRuleData["tagCategorySuffixRule"];
        $url = "";
        if ($tagCategoryProjectRule != "") {
            $url = $url . "/" . $tagCategoryProjectRule;
        }
        if ($tagCategoryRule != "") {
            $urlPart = self::getTagMoreLevelCategoryUrlPart($tagCategoryLevelNum,$tagCategoryRule, $dbCategory);
            $url = $url . "/" . $urlPart;
        }
        if ($tagCategorySuffixRule != "") {
            $url = $url . $tagCategorySuffixRule;
        }
        return $url;
    }

    public static function getTagMoreLevelCategoryUrlPart($tagCategoryLevelNum,$partRule,$dbCategory) :string {
        $urlPart = "";
        if (strpos($partRule, "{") !== false) {
            $cBeforeName = "";
            $cFieldName = "url_name";
            preg_match('/(.*)\{(.*)\}/', $partRule, $matches);
            if ($matches) {
                $cBeforeName = $matches[1];
                $cFieldName = str_replace("c_", "",$matches[2]);
            }
        }
        if ($tagCategoryLevelNum == 1) {
            if ($cFieldName == "url_name") {
                $urlPart = $cBeforeName . $dbCategory["url_name"];
            }
            if ($cFieldName == "id") {
                $urlPart = $cBeforeName . $dbCategory["id"];
            }
        }
        return $urlPart;
    }
}