<?php
namespace app\admin\content\tag\service;

class TagRelService
{

    public static function addTagRel($paramData): array
    {
        $tagsStr = $paramData["tags"];
        $itemId = $paramData["itemId"];
        $relType = ($paramData["relType"] ?? "a") ?: "a";

        $addType = ($paramData["addType"] ?? "reset") ?: "reset";
        $tagsArray = explode(",",$tagsStr);
        if ($addType == "reset") {
            db("tag_rel")->where("item_id",$itemId)->where("rel_type",$relType)->delete();
        }
        if (count($tagsArray) > 0) {
            foreach ($tagsArray as $key => $title) {
                $title = trim($title);
                if ($title != "") {
                    $tagInfo = db("tag")->where("title",$title)->find();
                    $tagId = 0;
                    if (!$tagInfo) {
                        $resData = TagService::addTag(["title"=> $title]);
                        if (!$resData["err"]) {
                            $tagId = $resData["data"]["id"];
                        }
                    } else {
                        $tagId = $tagInfo["id"];
                    }
                    if ($tagId != 0) {
                        $tagRelInfo = db("tag_rel")->where("item_id", $itemId)->where("tag_id",$tagId)->where("rel_type",$relType)->find();
                        if (!$tagRelInfo) {
                            db("tag_rel")->insertGetId([
                                "item_id" => $itemId,
                                "tag_id" => $tagId,
                                "rel_type" => $relType,
                            ]);
                            /*更新关联数量*/
                            $count = db("tag_rel")->where("tag_id",$tagId)->count("*");
                            db("tag")->where("id",$tagId)->update(["rel_num" => $count]);
                        }
                    }
                }
            }
        }
        return resSuccess();
    }

    public static function deleteTagRel($paramData): array
    {
        $itemId = intval($paramData["itemId"] ?? 0);
        $tagId = intval($paramData["tagId"] ?? 0);
        $relType = ($paramData["relType"] ?? "a") ?: "a";
        if ($itemId != 0) {
            db("tag_rel")->where("rel_type",$relType)->where("item_id",$itemId)->delete();
        }
        if ($tagId != 0) {
            db("tag_rel")->where("rel_type",$relType)->where("tag_id",$itemId)->delete();
        }
        return resSuccess();
    }
}
