<?php
namespace app\admin\content\template\controller;

use app\admin\content\setting\service\SettingService;
use app\common\controller\AdminBase;
use app\admin\content\template\service\TemplateService;

class TemplateController extends AdminBase
{

    public function updateTemplateName(): \think\Response
    {
        $fileName = input("post.fileName");
        if ($fileName == "") {
            return jsonError("模板名称不能为空");
        }
        TemplateService::updateTemplateName($fileName);
        return jsonSuccess("保存成功");
    }

    public function getTemplateList(): \think\Response
    {
        $templatePath = config("view.view_dir_name");
        $dirList = array();
        if (is_dir($templatePath)) {
            $dirHandle = opendir($templatePath);
            while (($file = readdir($dirHandle)) !== false) {
                if (substr($file, 0, 1) != '.' AND is_dir($templatePath . DS . $file)) {
                    $dirList[] = $file;
                }
            }
            closedir($dirHandle);
        }
        $itemList = [];
        if (count($dirList) > 0) {
            foreach ($dirList as $key => $item) {
                $jsonFile = $templatePath . DS . $item . DS . "template.json";
                if (is_file($jsonFile)) {
                    $content = file_get_contents($jsonFile);
                    $content = json_decode($content,true);
                    $itemList[] = ["fileName" => $item,"info" => $content];
                }
            }
        }
        return jsonSuccess("成功",$itemList);
    }

}