<?php
namespace app\admin\content\upload\controller;

use app\common\controller\AdminBase;
use think\Request;

class UploadController extends AdminBase
{
    protected $fileName;
    public function uploadImage(Request $request) {
        $siteId = "";
        $isCMS = Get("isCMS");
        if (!$isCMS) {
            $siteId = Get("siteId");
            if ($siteId == "") {
                return jsonError("参数siteId不能为空");
            }
        }
        /*文件验证*/
        $file = request()->file('fileDataFileName');
        if (empty($file)) {
            return jsonError('请选择上传的图片');
        }
        /*后缀名验证*/
        $extArray = ["jpg","png","gif","jpeg","bmp"];
        $ext = $file->getOriginalExtension();
        if (!in_array($ext,$extArray)) {
            return jsonError('不支持该类型文件上传');
        }
        /*文件类型验证*/
        $fileType = $file->getOriginalMime();
        $fileTypeArray = ["image/jpeg","image/png","image/gif","image/bmp"];
        if (!in_array($fileType,$fileTypeArray)) {
            return jsonError('不支持该类型文件上传');
        }
        /*文件大小验证*/
        $fileSize = $file->getSize();
        if ( (int) $fileSize > 5 * 1024 * 1024) {
            return jsonError('文件类型应小于5MB');
        }
        $tempFilePath = $file->getPath() . DS . $file->getFilename();
        $this->fileName = uuid();
        $fileDir = "";
        if ($siteId == "") {
            $fileDir = DS . date('Y',time()) . DS . date('m',time());
            $fileUrlPath = "/uploads/" . date('Y',time()) . '/' . date('m',time()) . '/';
        } else {
            $fileDir = DS . $siteId . DS . date('Y',time()) . DS . date('m',time());
            $fileUrlPath = "/uploads/" . $siteId . "/" . date('Y',time()) . '/' . date('m',time()) . '/';
        }
        /*注意后面还有代码，如果代码不加 会导致上传多了日期文件夹*/
        \think\facade\Filesystem::disk('public')->putFile($fileDir, $file,array($this, "getFileName"));
        $data = $fileUrlPath . $this->fileName  . "." . $ext;
        return jsonSuccess('',$data);
    }
    public function getFileName() {
        return $this->fileName;
    }

}