<?php
namespace app\admin\content\widget\controller;

use app\common\controller\AdminBase;
use app\admin\content\widget\service\WidgetAdService;

class WidgetAdController extends AdminBase
{
    public function addWidgetAd(): \think\Response
    {
        $postData = input('post.itemInfo/a');
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = WidgetAdService::addWidgetAd($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('',$resData["data"]);
    }
    
    public function updateWidgetAd()
    {
        $postData = input('post.itemInfo/a');
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = WidgetAdService::updateWidgetAd($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('成功');
    }

    /*查询单个信息*/
    public function getWidgetAdInfo() {
        $id = input('post.id');
        $itemInfo = WidgetAdService::getWidgetAdInfo($id);
        return jsonSuccess('',$itemInfo);
    }

    public function getWidgetAdList(): \think\Response
    {
        $page = intval(input("post.page") ?? 1);
        $postData = $this->request->post();
        $itemList = WidgetAdService::getWidgetAdList($postData);
        $total = WidgetAdService::countWidgetAd($postData);
        if (count($itemList) > 0) {
            $data["itemList"] = $itemList;
        } else {
            $data["itemList"] = [];
        }
        $data["total"] = $total;
        $data["page"] = $page;
        return jsonSuccess('',$data);
    }


    public function deleteWidgetAd()
    {
        $ids = input('post.ids');
        if (!$ids) {
            return jsonError('缺少参数');
        }
        $resData = WidgetAdService::deleteWidgetAd($ids);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('成功');
    }

    public function changeWidgetAdHideStatus()
    {
        $postData = input('post.itemInfo/a');
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = WidgetAdService::changeWidgetAdHideStatus($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('成功');
    }


}