<?php
namespace app\admin\content\widget\controller;

use app\common\controller\AdminBase;
use app\admin\content\widget\service\WidgetFriendLinkService;

class WidgetFriendLinkController extends AdminBase
{
    public function addWidgetFriendLink()
    {
        $postData = input('post.itemInfo/a');
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = WidgetFriendLinkService::addWidgetFriendLink($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('',$resData["data"]);
    }
    
    public function updateWidgetFriendLink()
    {
        $postData = input('post.itemInfo/a');
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = WidgetFriendLinkService::updateWidgetFriendLink($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('成功');
    }

    /*查询单个信息*/
    public function getWidgetFriendLinkInfo() {
        $id = input('post.id');
        $itemInfo = WidgetFriendLinkService::getWidgetFriendLinkInfo($id);
        return jsonSuccess('',$itemInfo);
    }

    public function getWidgetFriendLinkList()
    {
        $page = intval(input("post.page") ?? 1);
        $postData = $this->request->post();
        $itemList = WidgetFriendLinkService::getWidgetFriendLinkList($postData);
        $total = WidgetFriendLinkService::countWidgetFriendLink($postData);
        if (count($itemList) > 0) {
            $data["itemList"] = $itemList;
        } else {
            $data["itemList"] = [];
        }
        $data["total"] = $total;
        $data["page"] = $page;
        return jsonSuccess('',$data);
    }

    public function deleteWidgetFriendLink()
    {
        $ids = input('post.ids');
        if (!$ids) {
            return jsonError('缺少参数');
        }
        $resData = WidgetFriendLinkService::deleteWidgetFriendLink($ids);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('成功');
    }

    public function saveWidgetFriendLinkSort()
    {
        $postData = input('post.sortList/a');
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = WidgetFriendLinkService::saveWidgetFriendLinkSort($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('保存成功');
    }

    public function changeWidgetFriendLinkHideStatus()
    {
        $postData = input('post.itemInfo/a');
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = WidgetFriendLinkService::changeWidgetFriendLinkHideStatus($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('成功');
    }

}