<?php
namespace app\admin\content\widget\controller;

use app\admin\content\widget\service\WidgetFriendLinkRequestService;
use app\common\controller\AdminBase;

class WidgetFriendLinkRequestController extends AdminBase
{
    public function addWidgetFriendLinkRequest()
    {
        $postData = input('post.itemInfo/a');
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = WidgetFriendLinkRequestService::addWidgetFriendLinkRequest($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('',$resData["data"]);
    }

    public function updateWidgetFriendLinkRequest()
    {
        $postData = input('post.itemInfo/a');
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = WidgetFriendLinkRequestService::updateWidgetFriendLinkRequest($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('成功');
    }

    /*查询单个信息*/
    public function getWidgetFriendLinkRequestInfo() {
        $id = input('post.id');
        $itemInfo = WidgetFriendLinkRequestService::getWidgetFriendLinkRequestInfo($id);
        return jsonSuccess('',$itemInfo);
    }

    public function getWidgetFriendLinkRequestList()
    {
        $page = intval(input("post.page") ?? 1);
        $postData = $this->request->post();
        $itemList = WidgetFriendLinkRequestService::getWidgetFriendLinkRequestList($postData);
        $total = WidgetFriendLinkRequestService::countWidgetFriendLinkRequest($postData);
        if (count($itemList) > 0) {
            $data["itemList"] = $itemList;
        } else {
            $data["itemList"] = [];
        }
        $data["total"] = $total;
        $data["page"] = $page;
        return jsonSuccess('',$data);
    }

    public function getWidgetFriendLinkRequestCount()
    {
        $page = intval(input("post.page") ?? 1);
        $postData = $this->request->post();
        $total = WidgetFriendLinkRequestService::countWidgetFriendLinkRequest($postData);
        return jsonSuccess('',$total);
    }

    public function deleteWidgetFriendLinkRequest()
    {
        $ids = input('post.ids');
        if (!$ids) {
            return jsonError('缺少参数');
        }
        $resData = WidgetFriendLinkRequestService::deleteWidgetFriendLinkRequest($ids);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('成功');
    }


    public function joinWidgetFriendLinkRequest()
    {
        $id = input('post.id');
        if (!$id) {
            return jsonError('缺少参数');
        }
        $resData = WidgetFriendLinkRequestService::joinWidgetFriendLinkRequest($id);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('操作成功');
    }




}