<?php
namespace app\admin\content\widget\controller;

use app\common\controller\AdminBase;
use app\admin\content\widget\service\WidgetNavService;

class WidgetNavController extends AdminBase
{
    public function addWidgetNav() {
        $postData = input('post.itemInfo/a');
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = WidgetNavService::addWidgetNav($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('',$resData["data"]);
    }
    
    public function updateWidgetNav()
    {
        $postData = input('post.itemInfo/a');
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = WidgetNavService::updateWidgetNav($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('操作成功');
    }

    /*查询单个信息*/
    public function getWidgetNavInfo() {
        $id = input('post.id');
        $itemInfo = WidgetNavService::getWidgetNavInfo($id);
        return jsonSuccess('',$itemInfo);
    }

    public function getWidgetNavList()
    {
        $page = intval(input("post.page") ?? 1);
        $postData = $this->request->post();
        $itemList = WidgetNavService::getWidgetNavList($postData);
        $total = WidgetNavService::countWidgetNav($postData);
        if (count($itemList) > 0) {
            $data["itemList"] = $itemList;
        } else {
            $data["itemList"] = [];
        }
        $data["total"] = $total;
        $data["page"] = $page;
        return jsonSuccess('',$data);
    }

    public function deleteWidgetNav()
    {
        $ids = input('post.ids');
        if (!$ids) {
            return jsonError('缺少参数');
        }
        $resData = WidgetNavService::deleteWidgetNav($ids);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('删除成功');
    }

    public function saveWidgetNavSort()
    {
        $postData = input('post.sortList/a');
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = WidgetNavService::saveWidgetNavSort($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('保存成功');
    }

    public function changeWidgetNavStatus()
    {
        $isNav = input('post.isNav');
        $resData = WidgetNavService::changeWidgetNavStatus($isNav);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('操作成功');
    }


}