<?php
namespace app\admin\index\controller;
use app\BaseController;
use think\Response;

class Component extends BaseController
{
    public function js() {
        $tempComponent = '';
        $pages = [];
        $pageTemplatePath = ROOT_PATH . 'template' . DS . "admin" . DS;
        if (is_dir($pageTemplatePath)) {
            $vueFilePathArray = fetch_file_lists($pageTemplatePath);
            if ($vueFilePathArray) {
                foreach ($vueFilePathArray as $k => $v) {
                    if (strpos($v, '.vue') !== false) {
                        $vueArray = explode(DS, $v);
                        $pageName = $vueArray[count($vueArray) - 1];
                        array_push($pages,['pagePath' => $v,'pageName' => $pageName]);
                    }
                }
            }
        }
        $fileNameArray = [];
        if (count($pages) > 0) {
            foreach ($pages as $key => $val) {
                if (strpos($val['pageName'], '.vue') !== false) {
                    $fileName = str_replace('.vue', '', $val['pageName']);
                    $fileNameArray[$fileName] = $val['pagePath'];
                }
            }
        }
        $tempComponent = '';
        if (count($fileNameArray) > 0) {
            foreach ($fileNameArray as $key => $val) {
                $fileName = $key;
                $tempIndexData = compressHtml(file_get_contents($val));
                preg_match_all('/<script>([\w\W]*)<\/script>/iU', $tempIndexData, $scriptResult);
                if ($scriptResult) {
                    preg_match_all('/<template>(.*?)<\/template>(?!.*<\/template>)/is', $tempIndexData, $templateResult);
                    $tempComponent .= "const ".ucfirst($fileName)." = {";
                    $tempComponent .= "template: `".$templateResult[1][0]."`,";
                    $scriptResult[1][0] = str_replace('export default {', '', $scriptResult[1][0]);
                    $tempComponent .= $scriptResult[1][0];
                    $tempComponent .= ";app.component('".ucfirst($fileName)."',".ucfirst($fileName).");";
                    $tempIndexData = '';
                    $scriptResult = '';
                    $templateResult = '';
                }
            }
        }
        return Response::create($tempComponent)->contentType('application/x-javascript');
    }

    public function css() {
        $tempComponent = '';
        $pages = [];
        $pageTemplatePath = ROOT_PATH . 'template' . DS . "admin" . DS;
        if (is_dir($pageTemplatePath)) {
            $vueFilePathArray = fetch_file_lists($pageTemplatePath);
            if ($vueFilePathArray) {
                foreach ($vueFilePathArray as $k => $v) {
                    if (strpos($v, '.vue') !== false) {
                        $vueArray = explode(DS, $v);
                        array_push($pages,['pagePath' => $v,'pageName' => $vueArray[count($vueArray) - 1]]);
                    }
                }
            }
        }
        if ($pages) {
            foreach ($pages as $key => $val) {
                $fileName = str_replace('.vue', '', $val['pageName']);
                $tempIndexData = compressHtml(file_get_contents($val['pagePath']));
                preg_match_all('/<script>([\w\W]*)<\/script>/iU', $tempIndexData, $scriptResult);
                if ($scriptResult) {
                    preg_match_all('/<style>([\w\W]*)<\/style>/iU', $tempIndexData, $templateResult);
                    if (count($templateResult[1]) > 0) {
                        $tempComponent .=  $templateResult[1][0];
                    }
                }
            }
        }
        return Response::create($tempComponent)->contentType('text/css');
    }
}