<?php
namespace app\admin\system\controller;

use app\common\controller\AdminBase;
use app\admin\system\service\SystemService;
use think\facade\Db;

class SystemController extends AdminBase
{

    public function updateDevSystem()  {
        $isDev = input("post.isDev");
        if (!is_writable(ROOT_PATH)) {
            return jsonError(ROOT_PATH . "权限不够，无法进行该操作");
        }
        $envFilePath = ROOT_PATH . ".env";
        if (file_exists($envFilePath)) {
            $content = file_get_contents($envFilePath);
            $contentArray = explode("\n", $content);
            if (count($contentArray)) {
                foreach ($contentArray as $key => $val) {
                    if (strpos($val,"APP_DEBUG") !== false) {
                        unset($contentArray[$key]);
                    }
                }
            }
            $tempContent = implode("\n", $contentArray);
            if ($isDev) {
                file_put_contents($envFilePath,"APP_DEBUG = true\n");
            } else {
                file_put_contents($envFilePath,"APP_DEBUG = false\n");
            }
            file_put_contents($envFilePath,$tempContent,FILE_APPEND);
        } else {
            if ($isDev) {
                file_put_contents($envFilePath,"APP_DEBUG = true");
            } else {
                file_put_contents($envFilePath,"APP_DEBUG = false");
            }
        }
        SystemService::updateSystem(["isDev" => $isDev]);
        return jsonSuccess("设置成功");
    }
    public function updateSystem()  {
        $postData = input("post.settingData/a");
        if (!$postData) {
            return jsonError("参数错误");
        }
        SystemService::updateSystem($postData);
        return jsonSuccess("更新成功");
    }

    public function getSystemInfo(): \think\Response
    {
        $systemInfo = SystemService::getSystemInfo();
        return jsonSuccess("",$systemInfo);
    }

    public function getPlatformInfo(): \think\Response
    {
        $systemInfo = SystemService::getSystemInfo();
        $systemInfo = ["uname" => php_uname('s'),"PHPVersion" => PHP_VERSION,"version" => $systemInfo["localCurrentVersion"]];
        return jsonSuccess("",$systemInfo);
    }

    public function checkStatus(): \think\Response
    {
        $adminInfo = Get("adminInfo");
        $token = request()->header('Access-Token');
        $tokenInfo = Db::table("base_admin_token")->where("token",$token)->find();
        if ($tokenInfo) {
            $adminExpirationTime = config("global.adminExpirationTime");
            $adminCheckTime = config("global.adminCheckTime");
            if ($tokenInfo["add_time"] + $adminExpirationTime - $adminCheckTime < time()) {
                $token = makeToken((int)$adminInfo['uid']);
                Db::table("base_admin_token")->where("uid",$adminInfo["uid"])->update([
                    "token" => $token,
                    "add_time" => time(),
                ]);
                return jsonSuccess("",["token" => $token]);
            }
        }
        return jsonSuccess("",["token" => ""]);
    }

}
