<?php
namespace app\admin\user\controller;

use app\common\controller\AdminBase;
use app\admin\user\service\UserService;
use think\facade\Db;

class UserController extends AdminBase
{

    public function updatePassword()
    {
        $oldPassword = input('post.oldPassword');
        $newPassword = input('post.newPassword');
        $rpassword = input('post.rpassword');
        if(!$oldPassword){
            return jsonError('请输入原来密码');
        }
        if(!$newPassword){
            return jsonError('请输入新密码');
        }
        if (strlen($oldPassword) != 32){
            return jsonError('密码长度不符合规则');
        }
        if (strlen($newPassword) != 32){
            return jsonError('密码长度不符合规则');
        }
        if (strlen($rpassword) != 32){
            return jsonError('密码长度不符合规则');
        }
        if ($oldPassword == $newPassword) {
            return jsonError('新密码不能与旧密码重复');
        }
        if($rpassword != $newPassword){
            return jsonError('两次输入的密码不一样');
        }
        $adminInfo = Get("adminInfo");
        $userPasswordInfo = Db::table("base_admin")->where('uid',$adminInfo["uid"])->find();
        $oldpassword = create_md5($oldPassword,$userPasswordInfo['salt']);
        if($oldpassword != $userPasswordInfo['password']) {
            return jsonError('旧密码错误，请重新输入');
        }
        $data['salt'] = create_salt(8);
        $data['password'] = create_md5($newPassword,$data['salt']);
        Db::table("base_admin")->where('uid',$adminInfo["uid"])->update($data);
        Db::table('base_admin_token')->where('uid',$adminInfo["uid"])->delete();
        $resData["adminUrl"] = config("global.adminUrl");
        return  jsonSuccess('修改成功',$resData);
    }

    public function getCurrentAdminInfo() {
        $adminInfo = UserService::getCurrentUserInfo();
        return jsonSuccess('成功',$adminInfo);
    }


}
