<?php
// 应用公共文件

use chinesePinyin\ChinesePinyin;
use context\Context;
use think\Response;

function Get($name = null) {
    return Context::get($name);
}

function Set($name,$val) {
    return Context::set($name,$val);
}

function create_salt($length=12) {
    return $salt = substr(uniqid(rand()),0,$length);
}

function create_md5($string,$salt)
{
    return md5($string.$salt);
}

function uuid() {
    $charid = strtolower(md5(uniqid(rand(), true)));
    return substr($charid,0,24);
}
function unid() {
    $charid = strtolower(md5(uniqid(rand(), true)));
    return $charid;
}
function suuid() {
    $snowflake = \snowflake\Snowflake::getIns();
    return $snowflake->id();
}

function errorData($msg = "",$data = null): array
{
    return ["code" => -1, "msg" => $msg, "data" => $data];
}
function successData($msg = "",$data = null): array
{
    return ["code" => 1, "msg" => $msg, "data" => $data];
}

function resError($data): array
{
    return ["err" => $data];
}

function resSuccess($data = null): array
{
    return ["data" => $data,"err" => null];
}

function resPanic($data = ""): array
{
    return ["code" => -2,"err" => $data];
}

function jsonPanic($message = '') {
    $return['msg'] = $message;
    $return['errorCode'] = "";
    $return['code'] = -2;
    $res = json_encode($return,JSON_UNESCAPED_UNICODE);
    return Response::create($res)->contentType('text/json');;
}

function jsonError($message = '') {
    $return['msg'] = $message;
    $return['code'] = -1;
    $return['errorCode'] = "";
    $res = json_encode($return,JSON_UNESCAPED_UNICODE);
    return Response::create($res)->contentType('text/json');;

}
function jsonSuccess($message = '',$data = '') {
    $return['msg']  = $message;
    $return['data'] = $data;
    $return['code'] = 1;
    $res = json_encode($return,JSON_UNESCAPED_UNICODE);
    return Response::create($res)->contentType('text/json');;
}

function makeToken(int $uid): string
{
    $uuid = uuid();
    $timeStamp = microtime(true);
    return md5("{$uuid}_{$uid}_{$timeStamp}");
}

function fetch_dir($dir, $file_type = null) {
    $base_dir = realpath($dir);
    if (!file_exists($base_dir)) {
        return false;
    }
    $dir_handle = opendir($base_dir);
    $files_list = array();
    while (($file = readdir($dir_handle)) !== false) {
        if (substr($file, 0, 1) != '.' AND is_dir($base_dir . DS . $file)) {
            $files_list[] = $base_dir . DS . $file;
        }
    }
    closedir($dir_handle);
    return $files_list;
}

function fetch_file_lists($dir): array
{
    $base_dir = realpath($dir);
    if (!file_exists($base_dir)) {
        return array();
    }
    $dir_handle = opendir($base_dir);
    $filesList = array();
    while (($file = readdir($dir_handle)) !== false) {
        if (substr($file, 0, 1) != '.' AND !is_dir($base_dir . DS . $file)) {
            $filesList[] = $base_dir . DS . $file;
        } else if (substr($file, 0, 1) != '.' AND is_dir($base_dir . DS . $file)) {
            if ($sub_dir_lists = fetch_file_lists($base_dir . DS . $file)) {
                $filesList = array_merge($filesList, $sub_dir_lists);
            }
        }
    }
    closedir($dir_handle);
    return $filesList;
}

/**
 * 压缩html : 清除换行符,清除制表符,去掉注释标记
 * @param $string
 * @return array|string|string[]|null $string
 */
function compressHtml($string) {
    return $string;
    $string=str_replace("\r\n",'',$string);//清除换行符
    $string=str_replace("\n",'',$string);//清除换行符
    $string=str_replace("\t",'',$string);//清除制表符
    $pattern=array(
        "/> *([^ ]*) *</",//去掉注释标记
        "/[\s]+/",
        "/<!--[^!]*-->/",
        "/\" /",
        "/ \"/",
        "'/\*[^*]*\*/'"
    );
    $replace=array (
        ">\\1<",
        " ",
        "",
        "\"",
        "\"",
        ""
    );
    return preg_replace($pattern, $replace, $string);
}


/*过去html标签*/
function deleteHtml($str) {
    $str = preg_replace("/(\s|\r|\n|\t|\&nbsp\;|　| |   |\xc2\xa0)/","",trim(strip_tags($str)));
    return $str;
}


/*获取拼音*/
function getPinyin($name) {
    if (!$name) {
        return "";
    }
    if (preg_match('/^[a-zA-Z0-9 _\+\.\-]+$/',$name)) {
        $resName = strtolower($name);
        return str_replace(" ","-",$resName);
    }
    if (preg_match('/^[\x{4e00}-\x{9fa5}]+$/u', $name)) {
        $Pinyin = new ChinesePinyin();
        $resName = $Pinyin->TransformWithoutTone($name);
        return str_replace(" ","-",$resName);
    }
    preg_match_all("/[\x{4e00}-\x{9fa5}]/u",$name, $matches);
    if ($matches) {
        foreach ($matches[0] as $key => $val) {
            $Pinyin = new ChinesePinyin();
            $res = $Pinyin->TransformWithoutTone($val);
            $name = str_replace($val,$res,$name);
        }
        $resName = strtolower($name);
        return str_replace(" ","-",$resName);
    }
    return '';
}
/*获取拼音首字母*/
function getPinyinIndex($name) {
    $name = getPinyin($name);
    $name = lcfirst($name);
    return $name[0];
}

/*获取图片后缀类型*/
function getImageType($filename) {
    $file = fopen($filename, 'rb');
    $bin = fread($file, 2);
    fclose($file);
    $strInfo = @unpack('C2chars', $bin);
    $typeCode = intval($strInfo['chars1'] . $strInfo['chars2']);
    $fileType = '';
    switch ($typeCode) {
        case 255216:
            $fileType = 'jpg';
            break;
        case 7173:
            $fileType = 'gif';
            break;
        case 6677:
            $fileType = 'bmp';
            break;
        case 13780:
            $fileType = 'png';
            break;
        default:
            $fileType = '只能上传图片类型格式';
    }
    return $fileType;
}

/*随机小写字符串*/
function getRandomString($len, $chars = null) {
    if (is_null($chars)) {
        $chars = "abcdefghijklmnopqrstuvwxyz0123456789";
    }
    mt_srand(10000000*(double)microtime());
    for ($i = 0, $str = '', $lc = strlen($chars)-1; $i < $len; $i++) {
        $str .= $chars[mt_rand(0, $lc)];
    }
    return $str;
}



function getData($api,$postData = '') {
    if (!$api) {
        return false;
    }
    if (empty($postData)) {
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $api);
        curl_setopt($ch, CURLOPT_HEADER, 0);
        curl_setopt($ch, CURLOPT_TIMEOUT, 20);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
        $result = curl_exec($ch);

        curl_close($ch);
    } else {
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $api);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_TIMEOUT, 20);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $postData);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
        $result = curl_exec($ch);
        curl_close($ch);
    }
    if ($result) {
        return $result;
    } else {
        return null;
    }
}

include_once 'function.php';


function titleToURL($title, $pinyinFunction) {
    if ($title == "") {
        return "";
    }
    $url = '';
    // 遍历标题中的每个字符
    for ($i = 0; $i < mb_strlen($title); $i++) {
        $char = mb_substr($title, $i, 1);

        // 如果字符是中文，使用拼音函数转换
        if (preg_match('/[\x{4e00}-\x{9fa5}]/u', $char)) {
            $url .= call_user_func($pinyinFunction, $char);
        }
        // 如果字符是英文字母或数字，直接添加到URL
        elseif (preg_match('/[A-Za-z0-9]/', $char)) {
            $url .= strtolower($char);
        }
        // 如果字符是空格或其他特殊字符，用连字符替换
        else {
            $url .= '-';
        }
    }

    // 去除连续的连字符
    $url = preg_replace('/-+/', '-', $url);
    // 去除首尾的连字符
    $url = trim($url, '-');

    return $url;
}