<?php
namespace app\home\article\controller;

use app\common\controller\HomeBase;
use app\common\service\CommonArticleCategoryService;
use app\home\article\service\ArticleCategoryHomeService;
use app\home\article\service\ArticleCategoryCheckHomeService;
use think\facade\View;

class ArticleCategoryHome extends HomeBase
{
    public function index()
    {
        $routeOneLevelName = input('param.top_name');
        $routeTwoLevelName = input('param.middle_name');
        $routeThreeLevelName = input('param.bottom_name');
        $page = input('param.page');
        $routeOneLevelName = $routeOneLevelName ? urldecode($routeOneLevelName) : "";
        $routeTwoLevelName = $routeTwoLevelName ? urldecode($routeTwoLevelName) : "";
        $routeThreeLevelName = $routeThreeLevelName ? urldecode($routeThreeLevelName) : "";
        $routeType = $this->request->route()["ruleType"] ?? "";

        $categoryDbInfo = ArticleCategoryCheckHomeService::checkArticleCategoryUrl(["routeOneLevelName" => $routeOneLevelName,"routeTwoLevelName" => $routeTwoLevelName,"routeThreeLevelName" => $routeThreeLevelName]);

        if (!$categoryDbInfo && ($routeType != "default")) {
            return pageNotFound();
        }
        if ($routeType == "default") {
            $itemInfo = CommonArticleCategoryService::configDefaultCategoryInfo();
        } else {
            $itemInfo = ArticleCategoryHomeService::getArticleCategoryInfo($categoryDbInfo["id"]);
        }
        if (!$itemInfo) {
            return pageNotFound();
        }
        $topCategoryInfo = $itemInfo['parent'] ?? [];
        View::assign('topCategoryInfo',$topCategoryInfo);

        View::assign('page',$page ? $page : 1);
        View::assign('categoryUrlName',$itemInfo['url_name']);

        $itemInfo['cid'] = $itemInfo['id'];

        View::assign('categoryInfo',$itemInfo);


        /*控制器*/
        View::assign('ctr',"ArticleCategory");
        Set("ctr","ArticleCategory");

        $templateName = $itemInfo['template'] ? $itemInfo['template'] : 'articleCategory';
        $templateName = str_replace('.html', '', $templateName);

        return $this->viewFetch('/article/' . $templateName);
    }

}
