<?php
namespace app\home\article\controller;

use app\common\controller\HomeBase;


use app\home\article\service\ArticleCategoryCheckHomeService;
use app\home\article\service\ArticleDetailCheckHomeService;
use app\home\article\service\ArticleHomeService;
use think\facade\View;

class ArticleDetailHome extends HomeBase
{
    public function index()
    {
        $routeOneLevelName = input('param.top_name');
        $routeTwoLevelName = input('param.middle_name');
        $routeThreeLevelName = input('param.bottom_name');
        $routeName = input('param.routeName');
        $routeOneLevelName = urldecode($routeOneLevelName);
        $routeTwoLevelName = $routeTwoLevelName ? urldecode($routeTwoLevelName) : "";
        $routeThreeLevelName = $routeThreeLevelName ? urldecode($routeThreeLevelName) : "";
        $routeName = $routeName ? urldecode($routeName) : "";
        $routeType = $this->request->route()["ruleType"] ?? "";
        if ($routeType == "zeroGrade") {
            $pathInfo = $this->request->pathinfo();
            if (substr($pathInfo, -5, 5) === ".html") {
                $routeName = str_replace(".html","",$pathInfo);
            }
            if (substr($pathInfo, -1, 1) === "/") {
                $routeName = str_replace("/","",$pathInfo);
            }
        }
        if (!$routeName) {
            return pageNotFound();
        }
        $id = "";
        $articleDbInfo = ArticleDetailCheckHomeService::checkArticleDetailUrl([
            "routeOneLevelName" => $routeOneLevelName,
            "routeTwoLevelName" => $routeTwoLevelName,
            "routeThreeLevelName" => $routeThreeLevelName,
            "routeName" => $routeName,
            "routeType" => $routeType,
        ]);
        if ($articleDbInfo) {
            $id = $articleDbInfo["id"];
        } else {
                return pageNotFound();
        }
        $itemInfo = ArticleHomeService::getArticleInfo($id);
        $itemInfo = ArticleHomeService::getArticleContentInfo($itemInfo);

        ArticleHomeService::viewArticle($itemInfo);

        View::assign('categoryUrlName',$itemInfo['categoryInfo']['url_name']);
        View::assign('itemInfo',$itemInfo);
        View::assign('categoryInfo',$itemInfo["categoryInfo"]);

        /*控制器*/
        View::assign('ctr',"ArticleDetail");
        Set("ctr","ArticleDetail");

        return $this->viewFetch('/article/' . str_replace('.html', '', $itemInfo['categoryInfo']['detail_template']));
    }

}
