<?php


namespace app\home\article\service;


use app\admin\content\setting\service\UrlRuleService;
use think\facade\Db;

class ArticleDetailCheckHomeService
{
    /*校验内容请求，URL是否符合规则*/
    public static function checkArticleDetailUrl($paramData) {
        $routeOneLevelName = $paramData["routeOneLevelName"] ?? "";
        $routeTwoLevelName = $paramData["routeTwoLevelName"] ?? "";
        $routeThreeLevelName = $paramData["routeThreeLevelName"] ?? "";
        $routeName = $paramData["routeName"];
        $routeType = $paramData["routeType"];
        /*获取规则*/
        $urlRuleData = Get('urlRuleData');
        $articleDetailRule = $urlRuleData["articleDetailRule"];
        $articleCategoryLevelNum = $urlRuleData["articleCategoryLevelNum"];

        $name = $routeName;

        $requestUrl = request()->server()['REQUEST_URI'];
        $requestUrl = str_replace("/index.php?s=","",$requestUrl);
        $dbInfo = db("article")->where("url",$requestUrl)->find();
        if ($dbInfo) {
            return $dbInfo;
        }
        $articleDbInfo = [];
        if (strpos($articleDetailRule,'{id}') !== false) {
            $articleDbInfo = db("article")->where("id",$name)->find();
        }
        if (strpos($articleDetailRule,'{title}') !== false) {
            $articleDbInfo = db("article")->where("title",$name)->find();
        }
        if (strpos($articleDetailRule,'{url_name}') !== false) {
            $articleDbInfo = db("article")->where("url_name",$name)->find();
            if (!$articleDbInfo) {
                $articleDbInfo = db("article")->where("id",$name)->find();
            }
        }
        if (!$articleDbInfo) {
            return [];
        }
        if ($routeType == "default") {
            return $articleDbInfo;
        }
        if ($articleCategoryLevelNum == 2) {
            $data = [
                "oneLevelName" => $routeOneLevelName,
                "twoLevelName" => $routeTwoLevelName,
                "threeLevelName" => $routeThreeLevelName,
                "levelNum" => $articleCategoryLevelNum
            ];
            $categoryDbInfo = [];
            if (strpos($articleDetailRule,'{c_url_name}') !== false) {
                $categoryDbInfo = ArticleCategoryCheckHomeService::checkCategory($data, 'url_name');
            }
            if (strpos($articleDetailRule,'{c_id}') !== false) {
                $categoryDbInfo = ArticleCategoryCheckHomeService::checkCategory($data, 'id');
            }
            if (strpos($articleDetailRule,'{c_title}') !== false) {
                $categoryDbInfo = ArticleCategoryCheckHomeService::checkCategory($data, 'title');
            }
            if (!$categoryDbInfo) {
                return [];
            }
        }
        return $articleDbInfo;
    }

}