<?php


namespace app\home\article\service;


use app\common\service\CommonArticleCategoryService;
use think\facade\Db;

class ArticleExtendHomeService
{
    /*获取文章随机列表*/
    public static function getArticleRandList($paramData): array
    {

        $cid = intval($paramData["cid"] ?? 0);
        $page = intval($paramData["page"] ?? 1);
        $limit = intval($paramData["limit"] ?? 10);
        $orderBy = $paramData["orderBy"] ?? "id";
        $order = $paramData["order"] ?? "desc";

        $dbSelect = db("article_ids");
        if ($cid == 0) {
            $idsList = $dbSelect->field("id,ids")->select()->all();
        } else {
            $tempArray = CommonArticleCategoryService::buildArticleCategoryRelIdsById($cid);
            $idsList = $dbSelect->where("num",">",$limit)->where("cid","in",$tempArray)->field("id,ids")->select()->all();
        }
        $idsRandArray = [];
        if (count($idsList) > 0) {
            $idsArray = explode(",", $idsList[array_rand($idsList)]["ids"]);
            if (count($idsArray) > 0) {
                if ($limit == 1) {
                        $ids = array_rand($idsArray,1);
                        $idsRandArray[] = $idsArray[$ids];
                } else {
                    if (count($idsArray) >= $limit) {
                        $tempList = array_rand($idsArray,$limit);
                        foreach ($tempList as $key => $value) {
                            $idsRandArray[] = $idsArray[$value];
                        }
                    } else {
                        foreach ($idsArray as $key => $value) {
                            $idsRandArray[] = $value;
                        }
                    }
                }
            }
        }
        return db("article")->where("id","in",$idsRandArray)->select()->all();
    }


    /*获取相关列表*/
    public static function getArticleAboutList($paramData): array
    {
        $itemId = intval($paramData["itemId"] ?? 0);
        $page = intval($paramData["page"] ?? 1);
        $limit = intval($paramData["limit"] ?? 10);

        $res = db("tag_rel")->field("tag_id")->where("rel_type","a")->where("item_id",$itemId)->select()->all();
        if ($res) {
            $tempTagId = [];
            foreach ($res as $key => $value) {
                $tempTagId[] = $value["tag_id"];
            }
            $tempMap = [];
            $relList = db("tag_rel")->field("item_id")->whereIn("tag_id",$tempTagId)->order("id","desc")->select()->all();
            if (count($relList) == 0) {
                return [];
            }
            foreach ($relList as $key => $item) {
                $tempId = intval($item["item_id"]);
                if ($itemId != $tempId && !isset($tempMap[$tempId])) {
                    $tempMap[$tempId] = "";
                }
            }
            if ($tempMap) {
                $itemIdArray = array_keys($tempMap);
                return db("article")->where("id","in",$itemIdArray)->page($page,$limit)->select()->all();
            }
        }
        return [];
    }

    /*获取喜欢列表*/
    public static function getArticleLoveList($paramData): array
    {
        $itemId = intval($paramData["itemId"] ?? 0);
        $page = intval($paramData["page"] ?? 1);
        $limit = intval($paramData["limit"] ?? 10);

        $res = db("search_words_rel")->field("words_id")->where("rel_type","a")->where("item_id",$itemId)->select()->all();
        if ($res) {
            $tempWordsId = [];
            foreach ($res as $key => $value) {
                $tempWordsId[] = $value["words_id"];
            }
            $tempMap = [];
            $relList = db("search_words_rel")->field("item_id")->whereIn("words_id",$tempWordsId)->order("id","desc")->select()->all();
            if (count($relList) == 0) {
                return [];
            }
            foreach ($relList as $key => $item) {
                $tempId = intval($item["item_id"]);
                if ($itemId != $tempId && !isset($tempMap[$tempId])) {
                    $tempMap[$tempId] = "";
                }
            }
            if ($tempMap) {
                $itemIdArray = array_keys($tempMap);
                return db("article")->where("id","in",$itemIdArray)->page($page,$limit)->select()->all();
            }
        }
        return [];
    }


}
