<?php
namespace app\home\article\service;

use pagination\PaginationDetail;
use pagination\Paginations;

class ArticleSearchHomeService
{
    protected static $siteSearchData;
    /*获取文章搜索列表*/
    public static function getArticleSearchList($paramData): array
    {

        $cid = intval($paramData["cid"] ?? 0);
        $page = intval($paramData["page"] ?? 1);
        $limit = intval($paramData["limit"] ?? 10);
        $orderBy = $paramData["orderBy"] ?? "id";
        $order = $paramData["order"] ?? "desc";
        $keywords = $paramData["keywords"] ?? "";
        $siteInfo = Get("siteInfo");
        /*是否记录搜索词？*/
        /*是否记录搜索切分词？*/
        $lastItemIdArray = [];
        $total = 0;
        mb_internal_encoding('UTF-8');
        $length = mb_strlen($keywords);
        $tempList = [];
        if ($length == 1 || $length == 2) {
            $dbSelect = db("article");
            if ($cid != 0) {
                $dbSelect = $dbSelect->where("cid", $cid);
            }
            $dbList = $dbSelect->where("title","like","%" . $keywords . "%")->select()->all();
            $total = count($dbList);
            $totalPages = ceil(count($dbList) / $limit); // 计算总页数
            if ($page < 1) {
                $page = 1;
            } elseif ($page > $totalPages) {
                $page = $totalPages;
            }
            $startIndex = ($page - 1) * $limit; // 计算起始索引
            $tempList = array_slice($dbList, $startIndex, $limit);
        } else {
            $keywordsArray = getWords($keywords);
            if (count($keywordsArray) == 0) {
                return [];
            }
            /*查询关键词的ID*/
            $searchIdArray = [];
            $searchArray = db("search_words")->field("id")->where("words","in", $keywordsArray)->select()->all();
            if (count($searchArray) > 0) {
                foreach ($searchArray as $key => $item) {
                    $searchIdArray[] = $item["id"];
                }
            }
            if (count($searchIdArray) > 0) {
                /*查询关联的项目ID*/
                $tempMap = [];
                $searchRelList = db("search_words_rel")->field("item_id")->where("rel_type", "a")->whereIn("words_id", $searchIdArray)->order("id", "desc")->select()->all();
                if (count($searchRelList) > 0) {
                    foreach ($searchRelList as $key => $item) {
                        $itemId = intval($item["item_id"]);
                        if (isset($tempMap[$itemId])) {
                            $tempMap[$itemId] = intval($tempMap[$itemId]) + 1;
                        } else {
                            $tempMap[$itemId] = 1;
                        }
                    }
                    /*排序*/
                    arsort($tempMap);
                    $itemIdArray = array_keys($tempMap);
                    /*分页得到具体数量的 ID切片*/
                    $total = count($itemIdArray);
                    $pageNum = intval(ceil($total / $limit));
        
                    if ($page < 1) {
                        $page = 1;
                    } elseif ($page > $pageNum) {
                        $page = $pageNum;
                    }
                    $startIndex = ($page - 1) * $limit; // 计算起始索引
        
                    $lastItemIdArray = array_slice($itemIdArray, $startIndex, $limit);
                    /*根据项目ID得出项目列表*/
                    if (count($lastItemIdArray) > 0) {
                        $dbSelect = db("article");
                        if ($cid != 0) {
                            $dbSelect = $dbSelect->where("cid", $cid);
                        }
                        $tempList = $dbSelect->whereIn("id", $lastItemIdArray)->select()->all();
                    }   
                }
            }
        }
        /*没有文章 将随机生成 此处无需分页*/
        if (!$tempList) {
            $paramData["type"] = "rand";
            return ArticleExtendHomeService::getArticleRandList($paramData);
        }
        /*缓存*/
        /*初始化 没有数据*/
        self::$siteSearchData = [$keywords => $total];
        return $tempList;
    }

    public static function getArticleSearchPageList($paramData): string
    {
        $page = intval($paramData["page"] ?? 1);
        $limit = intval($paramData["limit"] ?? 10);
        $keywords = $paramData["keywords"] ?? "";
        $total = 0;
        if (self::$siteSearchData) {
            $siteSearchData = self::$siteSearchData;
            if ($siteSearchData) {
                $foreachData = $siteSearchData;
                $total = $foreachData[$keywords];
            }
        }

        $domain = Get("domain");
        if (isset($paramData["addonsUrl"]) && $paramData["addonsUrl"] != "") {
            $baseUrl =  $domain . "/";
            $firstUrl = $domain . "/" . $paramData["addonsUrl"] . ".html";
            $queryStringSegment = $paramData["addonsUrl"];
        } else {
            $searchUrlName = config("global.searchUrlName");
            $baseUrl =  $domain . "/{$searchUrlName}/";
            $firstUrl = $domain . "/{$searchUrlName}/" . urlencode($keywords) . ".html";
            $queryStringSegment = urlencode($keywords);
        }
        $pagination_array = array(
            'first_url' => $firstUrl,
            'base_url' => $baseUrl,
            "query_string_segment" => $queryStringSegment,
            'page_break' => '_',
            'cur_page' => $page,
            'total_rows' => $total,
            'per_page' => $limit,
        );
        $pagination = new PaginationDetail($pagination_array);
        $html = $pagination->create_links();
        return $html;
    }
}
