<?php
namespace app\home\page\service;


class PageHomeService
{
    public static function getPageInfo($id,$itemInfo = [])
    {
        if (!$itemInfo) {
            $itemInfo = db("page")->where("id",$id)->find();
        }
        if ($itemInfo) {
            $itemInfo['content'] = htmlspecialchars_decode($itemInfo['content']);
            $domain = Get("domain");
            $itemInfo['url'] = $domain . '/page/' . $itemInfo['url_name'] . '.html';
        }
        return $itemInfo;
    }

    public static function getPageInfoByUrlName($urlName) {
        $itemInfo = db("page")->where("url_name",$urlName)->find();
        if ($itemInfo) {
            return self::getPageInfo($itemInfo["id"],$itemInfo);
        }
        return [];
    }

    public static function getPageList($paramData)
    {
        $page = intval($paramData["page"] ?? 1);
        $limit = intval($paramData["limit"] ?? 10);
        $orderBy = $paramData["orderBy"] ?? "id";
        $order = $paramData["order"] ?? "asc";
        $keywords = $paramData["keywords"] ?? "";
        $dbSelect = db("page");
        if ($keywords != "") {
            $dbSelect = $dbSelect->where("title","like","%" . $keywords . "%");
        }
        $itemList = $dbSelect->page($page,$limit)->order($orderBy, $order)->select()->all();
        if (count($itemList) > 0) {
            foreach ($itemList as $k => $v) {
                $itemList[$k]['content'] = htmlspecialchars_decode($itemList[$k]['content']);
                $itemList[$k]['url'] = Get("domain") . '/page/' . $v['url_name'] . '.html';
            }
        }
        return $itemList;
    }

    public static function countPage($paramData): int
    {
        $keywords = $paramData["keywords"] ?? "";
        $dbSelect = db("page");
        if ($keywords != "") {
            $dbSelect = $dbSelect->where("title","like","%" . $keywords . "%");
        }
        $total = $dbSelect->count("*");
        return $total;
    }
}