<?php
namespace app\home\search\controller;

use app\common\controller\HomeBase;
use app\home\search\service\SearchHomeService;
use HTMLPurifier;
use HTMLPurifier_Config;
use think\facade\View;

class SearchHome extends HomeBase
{
    public function index()
    {
        set_time_limit(30);
        $addonsInfo = Get("addonsInfo");
        $url = "";
        $keywords = "";

        $REQUEST_URI = request()->server()["REQUEST_URI"];
        $searchUrlName = config("global.searchUrlName");

        if (isset($addonsInfo["randSearchUrl"]) && $addonsInfo["randSearchUrl"]["is_disable"] == 0) {
            $params = str_replace("/index.php?s=", "", $REQUEST_URI);
            $params = str_replace("/", "", $params);
            $params = str_replace(".html", "", $params);
            $page = 1;
            preg_match('/(.*)_([0-9]+)/', $params, $matches);
            if ($matches) {
                $params = $matches[1];
                $page = $matches[2];
            }
            $params = urldecode($params);
            $status = SearchHomeService::checkKeywords(["keywords" => $params]);
            if ($status) {
                return pageNotFound();
            }
            $keywordsInfo = db("search_keywords")->where("addons_url",$params)->find();
            $keywords = $keywordsInfo ? $keywordsInfo["title"] : "";
        }

        if ($keywords == "") {
            $keywords = str_replace("/{$searchUrlName}/", "", $REQUEST_URI);
            $keywords = str_replace("/index.php?s=", "", $keywords);
            $keywords = str_replace(".html", "", $keywords);
            $page = 1;
            preg_match('/(.*)_([0-9]+)/', $keywords, $matches);
            if ($matches) {
                $keywords = $matches[1];
                $page = $matches[2];
            }
            $keywords = urldecode($keywords);
            $status = SearchHomeService::checkKeywords(["keywords" => $keywords]);
            if ($status) {
                return pageNotFound();
            }
            /*用户在URL中手动构造的词、页面刷新，必须是搜索提交的词*/
            $keywordsInfo = db("search_keywords")->where("title",$keywords)->find();
            if (!$keywordsInfo) {
                /*兼容 通过后台自定义搜索的词*/
                $keywordsInfo = db("search_diy")->where("title",$keywords)->find();
                if (!$keywordsInfo) {
                    return pageNotFound();
                }
            }
            $keywords = $keywordsInfo["title"];
        }


        $itemInfo['title'] = $keywords;
        $itemInfo['keywords'] = $keywords;
        $itemInfo['description'] = $keywords;
        $addonsUrl = "";

        if (isset($addonsInfo["randSearchUrl"]) && $addonsInfo["randSearchUrl"]["is_disable"] == 0) {
            if (isset($keywordsInfo["title"]) && $keywordsInfo["title"] != "") {
                $addonsUrl = $keywordsInfo["addons_url"];
            }
            View::assign('addonsUrl', $addonsUrl);
        }

        View::assign('itemInfo',$itemInfo);
        View::assign('page',$page);

        /*控制器*/
        View::assign('ctr',"Search");
        Set("ctr","Search");
        return $this->viewFetch('/search/search');
    }
    /*搜索提交入口*/
    public function search()
    {
        $keywords = trim(input('param.q')," \t\n\r\0\x0B");
        if ($keywords) {
            /*将搜索词 转换*/
            $keywords = htmlspecialchars($keywords);
            /*添加日志*/
            $resData = SearchHomeService::addSearchLog(["keywords" => $keywords]);
            if ($resData["data"]) {
                $id = $resData["data"];
            }
            /*拦截*/
            $status = SearchHomeService::checkKeywords(["keywords" => $keywords,"keywordsId" => $id]);
            if ($status) {
                return pageNotFound();
            }
            /*更新搜索词*/
            $searchKeywordsId = SearchHomeService::addSearchKeywords(["keywords" => $keywords]);
            /*插件*/
            $addonsInfo = Get("addonsInfo");
            $url = "";
            if (isset($addonsInfo["randSearchUrl"]) && $addonsInfo["randSearchUrl"]["is_disable"] == 0) {
                /*执行插件 返回url*/
                $class = '\\addons\\randSearchUrl\\service\\RandSearchUrlService';
                $addonsObj = new $class();
                $url = $addonsObj->updateSearchUrl($keywords,$searchKeywordsId);
            }
            if ($url != "") {
                return redirect( Get("domain") . "/" . $url . ".html");
            } else {
                $keywords = urlencode($keywords);
                $searchUrlName = config("global.searchUrlName");
                return redirect( Get("domain") . "/{$searchUrlName}/" . $keywords . ".html");
            }
        }
        /*控制器*/
        View::assign('ctr',"Search");
        Set("ctr","Search");
        return $this->viewFetch('/search/searchForm');
    }

}
