<?php
namespace app\home\setting\service;

class SettingHomeService
{
    public static function getSettingInfo($paramData): string
    {
        if (!is_array($paramData)) {
            $paramData = json_decode($paramData,true);
        }
        $settingData = static::getSettingData();
        $name = $paramData["name"] ?? "";
        if ($name == "") {
            return "";
        }
        return $settingData[$name];
    }

    public static function getSettingData(): array
    {
        $selectData = db("base_setting")->select()->all();
        $settingData = [];
        if (count($selectData) > 0) {
            foreach ($selectData as $key => $item) {
                $settingData[strval($item["name"])] = $item["data"];
            }
        }
        $subDomainData = Get("subDomainData");
        if ($subDomainData) {
            foreach ($subDomainData as $key => $val) {
                $settingData[$key] = $val;
            }
        }
        return $settingData;
    }

    public static function getKeyData(): array
    {
        $selectData = db("base_key")->select()->all();
        $keyData = [];
        if (count($selectData) > 0) {
            foreach ($selectData as $key => $item) {
                $keyData[strval($item["name"])] = $item["data"];
            }
        }
        return $keyData;
    }


}
