<?php
namespace app\home\special\service;

use app\common\service\CommonSpecialService;
use app\common\service\CommonTagService;
use pagination\Paginationm;

class SpecialHomeService
{
    /*查询单个信息*/
    public static function getSpecialInfo($id, $paramItemInfo) {
        if (!$paramItemInfo) {
            $itemInfo = db("special")->where("id",$id)->find();
        } else {
            $itemInfo = $paramItemInfo;
        }
        if (!$itemInfo) {
            return [];
        }
        $itemInfo = CommonSpecialService::buildSpecialUrl($itemInfo);
        return $itemInfo;
    }

    public static function getSpecialList($paramData) {
        if (!is_array($paramData)) {
            $paramData = json_decode($paramData,true);
        }
        $page = intval($paramData["page"] ?? 1);
        $limit = intval($paramData["limit"] ?? 10);
        $orderBy = $paramData["orderBy"] ?? "sort";
        $order = $paramData["order"] ?? "asc";
        $keywords = $paramData["keywords"] ?? "";
        $dbSelect = db("special");
        if ($keywords != "") {
            $dbSelect = $dbSelect->where("title","like","%" . $keywords . "%");
        }
        $itemList = $dbSelect->page($page,$limit)->order($orderBy,$order)->select()->all();
        if (count($itemList) > 0) {
            foreach ($itemList as $index => $item) {
                $itemList[$index] = CommonSpecialService::buildSpecialUrl($item);
            }
        }
        return $itemList;
    }

    /*查询总数*/
    public static function countSpecial($paramData): int
    {
        $keywords = $paramData["keywords"] ?? "";
        $dbSelect = db("special");
        if ($keywords != "") {
            $dbSelect = $dbSelect->where("title", "like", "%" . $keywords . "%");
        }
        $count = $dbSelect->count("*");
        return $count;
    }

    /*获取分页*/
    public static function getSpecialListPage($paramData) {
        if (!is_array($paramData)) {
            $paramData = json_decode($paramData,true);
        }
        $cid = intval($paramData["cid"] ?? 0);
        $page = intval($paramData["page"] ?? 1);
        $limit = intval($paramData["limit"] ?? 10);
        $itemId = intval($paramData["itemId"] ?? 0);
        $keywords = $paramData["keywords"] ?? "";
        $domain = Get("domain");
        $baseUrl = $domain . "/" . config("global.specialUrlName") . "/";
        $total = self::countSpecial($paramData);
        $pagination_array = array(
            'base_url' => $baseUrl,
            'total_rows' => $total,
            'per_page' => $limit,
            'cur_page' => $page,
            'page_break' => '_'
        );
        $pagination = new Paginationm($pagination_array);
        $html = $pagination->create_links();
        return $html;
    }

}
