<?php


namespace app\home\spider\service;


use think\facade\Db;

class SpiderService
{
    public static function addSpider($paramData) {
        $isCMS = Get("isCMS");
        if ($isCMS) {
            $userAgent = request()->header()['user-agent'];
            if ($userAgent != "") {
                $userAgent = strtolower($userAgent);
            }
            if (strpos($userAgent,"baiduspider") !== false) {
                Db::name('spider')->insert(["spider_type" => "baiduSpider",'add_time' => time(),'url' => request()->url(),'ip' => request()->ip()]);
            } else if (strpos($userAgent,"yisouspider") !== false) {
                Db::name('spider')->insert(["spider_type" => "yisouSpider",'add_time' => time(),'url' => request()->url(), 'ip' => request()->ip()]);
            } else if (strpos($userAgent,"sogou") !== false && strpos($userAgent,"spider") !== false) {
                Db::name('spider')->insert(["spider_type" => "sogouSpider",'add_time' => time(),'url' => request()->url(), 'ip' => request()->ip()]);
            } else if (strpos($userAgent,"360") !== false && strpos($userAgent,"spider") !== false) {
                Db::name('spider')->insert(["spider_type" => "soSpider",'add_time' => time(),'url' => request()->url(), 'ip' => request()->ip()]);
            } else if (strpos($userAgent,"bytespider") !== false) {
                Db::name('spider')->insert(["spider_type" => "byteSpider",'add_time' => time(),'url' => request()->url(), 'ip' => request()->ip()]);
            } else if (strpos($userAgent,"googlebot") !== false) {
                Db::name('spider')->insert(["spider_type" => "googleSpider",'add_time' => time(),'url' => request()->url(), 'ip' => request()->ip()]);
            } else if (strpos($userAgent,"bingbot") !== false) {
                Db::name('spider')->insert(["spider_type" => "bingSpider",'add_time' => time(),'url' => request()->url(), 'ip' => request()->ip()]);
            }
        } else {
            $userAgent = request()->header()['user-agent'];
            if ($userAgent != "") {
                $userAgent = strtolower($userAgent);
            }
            $currentUrl = request()->url();
            $siteId = Get("siteId");
            if (strpos($userAgent,"baiduspider") !== false) {
                Db::name('spider')->insert(["site_id" => $siteId, "spider_type" => "baiduSpider",'add_time' => time(),'url' => $currentUrl,'ip' => request()->ip()]);
            } else if (strpos($userAgent,"yisouspider") !== false) {
                Db::name('spider')->insert(["site_id" => $siteId, "spider_type" => "yisouSpider",'add_time' => time(),'url' => $currentUrl, 'ip' => request()->ip()]);
            } else if (strpos($userAgent,"sogou") !== false && strpos($userAgent,"spider") !== false) {
                Db::name('spider')->insert(["site_id" => $siteId, "spider_type" => "sogouSpider",'add_time' => time(),'url' => $currentUrl, 'ip' => request()->ip()]);
            } else if (strpos($userAgent,"360") !== false && strpos($userAgent,"spider") !== false) {
                Db::name('spider')->insert(["site_id" => $siteId, "spider_type" => "soSpider",'add_time' => time(),'url' => $currentUrl, 'ip' => request()->ip()]);
            } else if (strpos($userAgent,"bytespider") !== false) {
                Db::name('spider')->insert(["site_id" => $siteId, "spider_type" => "byteSpider",'add_time' => time(),'url' => $currentUrl, 'ip' => request()->ip()]);
            } else if (strpos($userAgent,"googlebot") !== false) {
                Db::name('spider')->insert(["site_id" => $siteId, "spider_type" => "googleSpider",'add_time' => time(),'url' => $currentUrl, 'ip' => request()->ip()]);
            } else if (strpos($userAgent,"bingbot") !== false) {
                Db::name('spider')->insert(["site_id" => $siteId, "spider_type" => "bingSpider",'add_time' => time(),'url' => $currentUrl, 'ip' => request()->ip()]);
            }

            $todayStartTime = strtotime(date('Y-m-d'));



            $spiders = [
                ['keys' => ['baiduspider'], 'type' => 'baiduSpider',"field" => "baiduspider"],
                ['keys' => ['yisouspider'], 'type' => 'yisouSpider', "field" => "yisouspider"],
                ['keys' => ['sogou', 'spider'], 'type' => 'sogouSpider', "field" => "sogou"],
                ['keys' => ['360', 'spider'], 'type' => 'soSpider', "field" => "so"],
                ['keys' => ['bytespider'], 'type' => 'byteSpider', "field" => "bytespider"],
                ['keys' => ['googlebot'], 'type' => 'googleSpider', "field" => "googlebot"],
                ['keys' => ['bingbot'], 'type' => 'bingSpider', "field" => "bingbot"],
            ];

            foreach ($spiders as $spider) {
                $found = true;
                foreach ($spider['keys'] as $key) {
                    if (strpos($userAgent, $key) === false) {
                        $found = false;
                        break;
                    }
                }
                if ($found) {
                    $spiderType = $spider['type'];
                    $dbField =  $spider['field'];
                    $count = Db::name('spider')
                        ->where("site_id", $siteId)
                        ->where("spider_type", $spiderType)
                        ->where('add_time', 'between', [$todayStartTime, $todayStartTime + 24 * 60 * 60])
                        ->count();

                    if (Db::name('spider_site_total')->where("site_id", $siteId)->where("date", $todayStartTime)->find()) {
                        Db::name('spider_site_total')->where("site_id", $siteId)->where("date", $todayStartTime)->update([$dbField => $count]);
                    } else {
                        Db::name('spider_site_total')->insert(["site_id" => $siteId, "date" => $todayStartTime, $dbField => $count]);
                    }
                    $siteTotalNum = Db::name('spider_site_total')->where("date", $todayStartTime)->sum($dbField);
                    if (Db::name('spider_total')->where("date", $todayStartTime)->find()) {
                        Db::name('spider_total')->where("date", $todayStartTime)->update([$dbField => $siteTotalNum]);
                    } else {
                        Db::name('spider_total')->insert(["date" => $todayStartTime, $dbField => $siteTotalNum]);
                    }
                    break;
                }
            }
        }
    }
}
