<?php
namespace app\home\tag\controller;

use app\common\controller\HomeBase;
use app\common\service\CommonTagCategoryService;
use app\home\tag\service\TagCategoryHomeService;
use app\home\tag\service\TagHomeCheckService;
use think\facade\View;

class TagCategoryHome extends HomeBase
{
    public function index() {
        $page = input('param.page');
        $routeName = input('param.routeName');
        $routeType = $this->request->route()["ruleType"] ?? "";

        $categoryDbInfo = TagHomeCheckService::checkTagCategoryUrl(["routeName" => $routeName]);
        if (!$categoryDbInfo && ($routeType != "default")) {
            return pageNotFound();
        }
        if ($routeType == "default") {
            $categoryInfo = CommonTagCategoryService::configDefaultCategoryInfo();
        } else {
            $categoryInfo = TagCategoryHomeService::getTagCategoryInfo($categoryDbInfo["id"]);
        }
        $page = $page ?: 1;
        View::assign('categoryInfo',$categoryInfo);
        View::assign('page',$page);

        /*控制器*/
        View::assign('ctr',"TagCategory");
        Set("ctr","TagCategory");

        $templateName = $itemInfo['template'] ?? 'tagCategory';
        $templateName = str_replace('.html', '', $templateName);
        return $this->viewFetch('/tag/' . $templateName);
    }
}