<?php
namespace app\home\tag\controller;

use app\common\controller\HomeBase;
use app\home\tag\service\TagHomeCheckService;
use app\home\tag\service\TagHomeService;
use think\facade\View;

class TagDetailHome extends HomeBase
{
    public function index() {
        $page = input('param.page');
        $routeName = input('param.routeName');
        $routeName = urldecode($routeName);
        if (!$routeName) {
            return pageNotFound();
        }
        $id = 0;
        $tagDbInfo = TagHomeCheckService::checkTagDetailUrl([
            "routeName" => $routeName
        ]);
        if ($tagDbInfo) {
            $id = $tagDbInfo["id"];
        } else {
            return pageNotFound();
        }
        $page = $page ?: 1;

        $itemInfo = TagHomeService::getTagInfo($id,[]);
        View::assign('itemInfo',$itemInfo);
        View::assign('page',$page);


        /*控制器*/
        View::assign('ctr',"TagDetail");
        Set("ctr","TagDetail");

        $categoryInfo = $itemInfo['categoryInfo'] ?? [];
        $templateName = $categoryInfo['detail_template'] ?? 'tagDetail';
        $templateName = str_replace('.html', '', $templateName);
        return $this->viewFetch('/tag/' . $templateName);
    }
}
