<?php

namespace app\home\tag\controller;

use app\common\controller\HomeBase;
use app\home\tag\service\TagCategoryHomeService;
use app\home\tag\service\TagHomeService;
use think\Response;

class TagSitemapHome extends HomeBase
{
    public function sitemap()
    {
        $num = config("global.sitemapNum");
        $page = input('param.page');
        $page = $page ?: 0;
        if ($page > 0) {
            $count = db("tag")->count();
            if ($count <= $num) {
                return pageNotFound();
            }
            $pageNum = ceil($count / $num);
            if ($pageNum < $page + 1) {
                return pageNotFound();
            }
            $data = ['page' => $page + 1,'limit' => $num,];
        } else {
            $data = ['page' => 1,'limit' => $num,];
        }
        $itemList = TagHomeService::getTagList($data);
        $categoryList = TagCategoryHomeService::getTagCategoryAllList([]);
        $xml = '<?xml version="1.0" encoding="utf-8"?>';
        $xml .= '<urlset>';
        if ($page == 0) {
            if (count($categoryList) > 0) {
                foreach ($categoryList as $key => $v) {
                    $xml .= '<url>';
                    $xml .= '<loc>' . $v["url"] . '</loc>';
                    $xml .= '<lastmod>' . date("Y-m-d", time()) . '</lastmod>';
                    $xml .= '<changefreq>daily</changefreq>';
                    $xml .= '<priority>0.9</priority>';
                    $xml .= '</url>';
                }
            }
        }
        if (count($itemList) > 0) {
            foreach($itemList as $k => $v) {
                $xml .= '<url>';
                $xml .= '<loc>' . $v["url"] . '</loc>';
                $xml .= '<lastmod>' . date("Y-m-d", $v["add_time"]) . '</lastmod>';
                $xml .= '<changefreq>daily</changefreq>';
                $xml .= '<priority>0.6</priority>';
                $xml .= '</url>';
            }
        }
        $xml .= '</urlset>';
        return Response::create($xml)->contentType('text/xml');
    }
}