<?php
namespace app\home\tag\service;

use app\common\service\CommonTagCategoryService;

class TagCategoryHomeService
{
    /*查询单个信息*/
    public static function getTagCategoryInfo($id) {
        $itemInfo = db("tag_category")->where("id",$id)->find();
        if ($itemInfo) {
            $itemInfo["url"] = CommonTagCategoryService::getTagCategoryUrl($itemInfo);
        }
        return $itemInfo;
    }
    public static function getTagCategoryInfoByUrlName($urlName) {
        $itemInfo = db("tag_category")->where("url_name",$urlName)->find();
        if ($itemInfo) {
            $itemInfo["url"] = CommonTagCategoryService::getTagCategoryUrl($itemInfo);
        }
        return $itemInfo;
    }


    public static function getTagCategoryAllList($paramData) {
        $orderBy = $paramData["orderBy"] ?? "sort";
        $order = $paramData["order"] ?? "asc";
        $itemList = db("tag_category")->order($orderBy,$order)->select()->all();
        if (count($itemList) > 0) {
            foreach ($itemList as $index => $item) {
                $itemList[$index]["url"] = CommonTagCategoryService::getTagCategoryUrl($item);
            }
        }
        return $itemList;
    }
    public static function getTagCategoryList($paramData) {
        if (!is_array($paramData)) {
            $paramData = json_decode($paramData,true);
        }
        $page = intval($paramData["page"] ?? 1);
        $limit = intval($paramData["limit"] ?? 10);
        $orderBy = $paramData["orderBy"] ?? "sort";
        $order = $paramData["order"] ?? "asc";
        $keywords = $paramData["keywords"] ?? "";
        $dbSelect = db("tag_category");
        if ($keywords != "") {
            $dbSelect = $dbSelect->where("title","like","%" . $keywords . "%");
        }
        $itemList = $dbSelect->page($page,$limit)->order($orderBy,$order)->select()->all();
        if (count($itemList) > 0) {
            foreach ($itemList as $index => $item) {
                $itemList[$index]["url"] = CommonTagCategoryService::getTagCategoryUrl($item);
            }
        }
        return $itemList;
    }

    /*查询总数*/
    public static function countTagCategory($paramData): int
    {
        $keywords = $paramData["keywords"] ?? "";
        $dbSelect = db("tag_category");
        if ($keywords != "") {
            $dbSelect = $dbSelect->where("title","like","%" . $keywords . "%");
        }
        $count = $dbSelect->count("id");
        return $count;
    }

}
