<?php


namespace app\home\widget\controller;


use app\common\controller\HomeBase;
use HTMLPurifier;
use HTMLPurifier_Config;
use think\facade\Cache;
use think\facade\View;

class WidgetFriendLinkAjaxHome extends HomeBase
{
    public function addFriendLink() {
        /*判断当前是否是POST请求*/
        if (!request()->isPost()) {
            header('Content-type: application/json');
            return jsonError('非法请求');
        }
        $config = HTMLPurifier_Config::createDefault();
        $purifier = new HTMLPurifier($config);
        $title = $purifier->purify(input("post.title"));
        $url = $purifier->purify(input("post.url"));
        $description = $purifier->purify(input("post.description"));
        $contactInfo = $purifier->purify(input("post.contactInfo"));
        if (!$title) {
            return jsonError('请输入网站名称');
        }
        if (!$url) {
            return jsonError('请输入网站地址');
        }
        $ip = request()->ip();
        if(Cache::get($ip)) {
            return jsonError('您当前申请过于频繁，请1分钟后再申请');
        }
        Cache::set($ip, true, 60);
        db("widget_friend_link_request")->insert([
            "title" => htmlspecialchars($title),
            "url" => htmlspecialchars($url),
            "description" => htmlspecialchars($description),
            "contact_info" => htmlspecialchars($contactInfo),
            'ip' => request()->ip(),
        ]);
        return jsonSuccess('提交成功，请等待管理员审核');
    }
}