<?php
namespace app\home\widget\service;

class WidgetAdHomeService
{
    public static function getItemListByTag($tag): string
    {
        $tag = json_decode($tag,true);
        $name = $tag['name'] ?? '';
        $itemInfo = db("widget_ad")->where("is_hide",0)->where('name',$name)->find();
        if ($itemInfo) {
            return htmlspecialchars_decode($itemInfo['content']);
        }
        return "";
    }

    public static function getWidgetAdList($paramData) {
        $page = intval($paramData["page"] ?? 1);
        $limit = intval($paramData["limit"] ?? 10);
        $orderBy = $paramData["orderBy"] ?? "id";
        $order = $paramData["order"] ?? "asc";
        $order = $paramData["order"] ?? "asc";
        $keywords = $paramData["keywords"] ?? "";
        $dbSelect = db("widget_ad");
        if ($keywords != "") {
            $dbSelect = $dbSelect->where("title","like","%" . $keywords . "%");
        }
        $itemList = $dbSelect->page($page,$limit)->order($orderBy,$order)->select()->all();
        foreach ($itemList as $k => $v) {
            $itemList[$k]['content'] = htmlspecialchars_decode($itemList[$k]['content']);
        }
        return $itemList;
    }
    public static function countWidgetAd($paramData): int
    {
        $keywords = $paramData["keywords"] ?? "";
        $dbSelect = db("widget_ad");
        if ($keywords != "") {
            $dbSelect = $dbSelect->where("title","like","%" . $keywords . "%");
        }
        $total = $dbSelect->count("*");
        return $total;
    }

}