<?php
namespace app\home\widget\service;

class WidgetFriendLinkHomeService
{
    public static function getItemListByTag($paramData) {
        $paramData = json_decode($paramData,true);
        $orderBy = $paramData["orderBy"] ?? 'sort';
        $order = $paramData["order"] ?? 'asc';
        $typeWhere = [];
        if (Get("ctr") == 'Index') {
            $typeWhere['link_type']  = ['=','index',"all"];
        } else {
            $typeWhere['link_type']  = ['in','notIndex',"all"];
        }

        $userAgent = request()->header()['user-agent'];
        if ($userAgent == "") {
            return [];
        }
        if (isSpider($userAgent)) {
            $viewTypeWhere['view_type']  = ['=','spider',"all"];
        } else {
            $viewTypeWhere['view_type']  = ['in','window',"all"];
        }
        $itemList = db("widget_friend_link")->where("is_hide",0)->where($typeWhere)->where($viewTypeWhere)->order($orderBy,$order)->select()->all();
        if ($itemList) {
        } else {
            $itemList = [];
        }
        return $itemList;
    }

    public static function getWidgetFriendLinkList($paramData)
    {
        $page = intval($paramData["page"] ?? 1);
        $limit = intval($paramData["limit"] ?? 10);
        $orderBy = $paramData["orderBy"] ?? "id";
        $order = $paramData["order"] ?? "asc";
        $keywords = $paramData["keywords"] ?? "";
        $dbSelect = db("widget_friend_link");
        if ($keywords != "") {
            $dbSelect = $dbSelect->where("title","like","%" . $keywords . "%");
        }
        $itemList = $dbSelect->page($page,$limit)->order($orderBy, $order)->select()->all();
        return $itemList;
    }
    public static function countWidgetFriendLink($paramData): int
    {
        $keywords = $paramData["keywords"] ?? "";
        $dbSelect = db("widget_friend_link");
        if ($keywords != "") {
            $dbSelect = $dbSelect->where("title","like","%" . $keywords . "%");
        }
        $total = $dbSelect->count("*");
        return $total;
    }
}