<?php
namespace app\home\widget\service;


class WidgetNavHomeService
{
    public static function getItemListByTag($tag)
    {
        $tag = json_decode($tag,true);
        return self::getWidgetNavList($tag);
    }

    public static function getWidgetNavList($paramData)
    {
        $page = intval($paramData["page"] ?? 1);
        $limit = intval($paramData["limit"] ?? 10);
        $orderBy = $paramData["orderBy"] ?? "id";
        $order = $paramData["order"] ?? "asc";
        $keywords = $paramData["keywords"] ?? "";
        $dbSelect = db("widget_nav");
        if ($keywords != "") {
            $dbSelect = $dbSelect->where("title","like","%" . $keywords . "%");
        }
        $itemList = $dbSelect->page($page,$limit)->order($orderBy, $order)->select()->all();
        if (count($itemList)) {
            foreach ($itemList as $key => $val) {
                if (strpos($val["url"],"http") === false) {
                    $itemList[$key]["url"] = Get("domain") . $val["url"];
                }
            }
        }
        return $itemList;
    }
    public static function countWidgetNav($paramData): int
    {
        $keywords = $paramData["keywords"] ?? "";
        $dbSelect = db("widget_nav");
        if ($keywords != "") {
            $dbSelect = $dbSelect->where("title","like","%" . $keywords . "%");
        }
        $total = $dbSelect->count("*");
        return $total;
    }
}
