<?php
namespace app\middleware;

use app\admin\user\service\UserService;
use think\App;
use think\facade\Db;
use think\Request;
use think\Response;

class AdminAuth
{
    protected $app;


    public function __construct(App $app)
    {
        $this->app  = $app;
    }

    public function handle(Request $request, \Closure $next)
    {
        /*判断当前是否是POST请求*/
        if (!$request->isPost()) {
            header('Content-type: application/json');
            exit(json_encode(array('code' => -1 ,'msg' => '非法请求'), JSON_UNESCAPED_UNICODE));
        }
        /*验证*/
        $token = request()->header('Access-Token');
        $LoginData = UserService::checkLogin($token);
        if ($LoginData["err"]) {
            $return['msg'] = $LoginData["err"];
            $return['code'] = 401;
            return Response::create(json_encode($return,JSON_UNESCAPED_UNICODE))->contentType('text/json');
        }
        Set("adminInfo",$LoginData["data"]);
        return $next($request);
    }
}