CREATE TABLE IF NOT EXISTS `base_addons` (
   `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
   `name` varchar(50) NOT NULL DEFAULT "" COMMENT '名称',
   `title` varchar(50) NOT NULL DEFAULT "" COMMENT '标题',
   `description` varchar(200) NOT NULL DEFAULT "" COMMENT '描述',
   `author` varchar(20) NOT NULL DEFAULT "" COMMENT '作者',
   `version` varchar(10) NOT NULL DEFAULT "" COMMENT '版本',
   `add_time` int(11) NOT NULL DEFAULT 0 COMMENT '添加时间',
   `is_disable` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否禁用',
   `is_side` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否显示到侧边栏',
   `is_header` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否添加到导航',
   `is_global` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否全局',
   PRIMARY KEY (`id`),
   KEY `is_global` (`is_global`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `base_domain` (
       `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
       `http_type` varchar(10) NOT NULL DEFAULT "" COMMENT 'http类型',
       `domain` varchar(50) NOT NULL DEFAULT "" COMMENT '域名',
       `data` varchar(512) NOT NULL DEFAULT "" COMMENT '数据内容',
       PRIMARY KEY (`id`),
       KEY `domain` (`domain`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `base_key` (
    `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
    `name` varchar(30) NOT NULL DEFAULT "" COMMENT '数据名称',
    `data` varchar(512) NOT NULL DEFAULT "" COMMENT '数据内容',
    PRIMARY KEY (`id`),
    KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `base_url_rule` (
 `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
 `name` varchar(30) NOT NULL DEFAULT "" COMMENT '名称',
 `rule` varchar(100) NOT NULL DEFAULT "" COMMENT '规则',
 `is_diy` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否自定义',
 PRIMARY KEY (`id`),
 KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `base_log` (
    `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
    `uid` char(32) NOT NULL DEFAULT "" COMMENT '用户UID',
    `log_type` varchar(20) NOT NULL DEFAULT "" COMMENT '类型',
    `add_time` int(11) NOT NULL DEFAULT 0 COMMENT '添加时间',
    `info` varchar(200) NOT NULL DEFAULT "" COMMENT '描述',
    PRIMARY KEY (`id`),
    KEY `uid` (`uid`),
    KEY `log_type` (`log_type`),
    KEY `add_time` (`add_time`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `base_setting` (
    `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
    `name` varchar (30) NOT NULL DEFAULT "" COMMENT '数据名称',
    `data` varchar(512) NOT NULL DEFAULT "" COMMENT '数据内容',
    `mobile_data` varchar(512) NOT NULL DEFAULT "" COMMENT '手机站内容',
    PRIMARY KEY (`id`),
    KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

INSERT INTO base_setting(`name`,`data`, `mobile_data`)
VALUES 	('siteName', 'AiSeoCMS内容管理系统', ''),
          ('indexTitle',' - 专注于CMS内容系统', ''),
          ('diyTitle', '', ''),
          ('description', '', ''),
          ('keywords', '', ''),
          ('template', 'default', ''),
          ('httpType', 'http://', ''),
          ('isNav', '0', ''),
          ('runUrl', '', ''),
          ('domain', '', ''),
          ('mobileJump','0', ''),
          ('statistical', '', ''),
          ('icp', '<a target="_blank" href="https://beian.miit.gov.cn" rel="nofollow">京ICP备00000000号</a>', ''),
          ('copyright', 'Powered By <a href="https://www.aiseocms.com" target="_blank">AiSeoCMS内容管理系统</a>', '');

CREATE TABLE IF NOT EXISTS `base_system` (
   `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
   `name` varchar (30) NOT NULL DEFAULT "" COMMENT '数据名称',
   `data` varchar(512) NOT NULL DEFAULT "" COMMENT '数据内容',
   PRIMARY KEY (`id`),
   KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;
INSERT INTO base_system(`name`,`data`)
VALUES ('localCurrentVersion', 'v1.0.0'),
       ('rewrite', ''),
       ('codeCompression', ''),
       ('systemStatus', '1'),
       ('systemCode', '');



CREATE TABLE IF NOT EXISTS `base_admin` (
      `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
      `uid` char(32) NOT NULL DEFAULT "" COMMENT '用户UID',
      `group_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '用户组ID',
      `username` varchar(32) NOT NULL DEFAULT "" COMMENT '用户名',
      `nickname` varchar(32) NOT NULL DEFAULT "" COMMENT '昵称',
      `password` varchar(32) NOT NULL DEFAULT "" COMMENT '密码',
      `salt` varchar(10) NOT NULL DEFAULT "" COMMENT '混淆值',
      `email` varchar(50) NOT NULL DEFAULT "" COMMENT '邮箱',
      `mobile` varchar(15) NOT NULL DEFAULT "" COMMENT '手机',
      `qq` varchar(15) NOT NULL DEFAULT "" COMMENT 'QQ',
      `sex` tinyint(1) NOT NULL DEFAULT 0 COMMENT '性别 0为保密',
      `login_num` int(11) NOT NULL DEFAULT 0 COMMENT '登录次数',
      `reg_ip` varchar(20) NOT NULL DEFAULT "" COMMENT '注册IP',
      `reg_time` int(11) NOT NULL DEFAULT 0 COMMENT '注册时间',
      `last_login_ip` varchar(20) NOT NULL DEFAULT "" COMMENT '最后一次登录IP',
      `last_login_time` int(11) NOT NULL DEFAULT 0 COMMENT '最后一次登录时间',
      `signature` varchar(200) NOT NULL DEFAULT "" COMMENT '签名',
      `is_disable` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否禁用',
      PRIMARY KEY (`id`),
      KEY `uid` (`uid`),
      KEY `group_id` (`group_id`),
      KEY `username` (`username`),
      KEY `is_disable` (`is_disable`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `base_admin_token` (
    `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
    `uid` char(32) NOT NULL DEFAULT '' COMMENT '用户UID',
    `add_time` int(11) NOT NULL DEFAULT 0 COMMENT '添加时间',
    `end_time` int(11) NOT NULL DEFAULT 0 COMMENT '结束时间',
    `terminal` varchar(10) NOT NULL DEFAULT '' COMMENT '终端',
    `token` varchar(32) NOT NULL DEFAULT '' COMMENT '秘钥',
    PRIMARY KEY (`id`),
    KEY `uid` (`uid`),
    KEY `token` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `base_admin_group` (
    `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
    `name` varchar(50) NOT NULL DEFAULT '' COMMENT '名称',
    `sort` int(11) NOT NULL DEFAULT 0 COMMENT '排序',
    PRIMARY KEY (`id`),
    KEY `sort` (`sort`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `base_admin_group` VALUES ('1', '超级管理员', 0), ('2', '管理员', 1);


CREATE TABLE IF NOT EXISTS `widget_nav` (
      `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
      `title` varchar(100) NOT NULL DEFAULT "" COMMENT '名称',
      `url` varchar(200) NOT NULL DEFAULT "" COMMENT '地址',
      `is_target` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否新窗口打开',
      `nav_type` varchar(30) NOT NULL DEFAULT "" COMMENT '类型',
      `sort` bigint(20)  NOT NULL DEFAULT 0 COMMENT '排序',
      PRIMARY KEY (`id`),
      KEY `nav_type` (`nav_type`),
      KEY `sort` (`sort`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `widget_contact` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `name` varchar(100) NOT NULL DEFAULT "" COMMENT '姓名',
  `tel` varchar(20) NOT NULL DEFAULT "" COMMENT '手机',
  `content` varchar(512) NOT NULL DEFAULT "" COMMENT '内容',
  `add_time` int(11) NOT NULL DEFAULT 0 COMMENT '添加时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `widget_friend_link` (
          `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
          `title` varchar(100) NOT NULL DEFAULT "" COMMENT '名称',
          `url` varchar(200) NOT NULL DEFAULT "" COMMENT '地址',
          `description` varchar(200) NOT NULL DEFAULT "" COMMENT '描述',
          `logo` varchar(200) NOT NULL DEFAULT "" COMMENT 'logo',
          `sort` int(11) NOT NULL DEFAULT 0 COMMENT '排序',
          `link_type` varchar(30) NOT NULL DEFAULT 'all' COMMENT '类型',
           `view_type` varchar(30) NOT NULL DEFAULT 'all' COMMENT '显示',
          `add_time` int(11) NOT NULL DEFAULT 0 COMMENT '添加时间',
          `is_hide` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否隐藏',
          PRIMARY KEY (`id`),
          KEY `title` (`title`),
          KEY `sort` (`sort`),
          KEY `is_hide` (`is_hide`),
            KEY `view_type` (`view_type`),
          KEY `add_time` (`add_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `widget_friend_link_request` (
      `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
      `title` varchar(100) NOT NULL DEFAULT "" COMMENT '名称',
      `url` varchar(200) NOT NULL DEFAULT "" COMMENT '地址',
      `description` varchar(200) NOT NULL DEFAULT "" COMMENT '描述',
      `contact_info` varchar(200) NOT NULL DEFAULT "" COMMENT '联系信息',
      `logo` varchar(200) NOT NULL DEFAULT "" COMMENT 'logo',
      `ip` varchar(30) NOT NULL DEFAULT "" COMMENT 'ip',
      `add_time` int(11) NOT NULL DEFAULT 0 COMMENT '添加时间',
      PRIMARY KEY (`id`),
      KEY `title` (`title`),
      KEY `add_time` (`add_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `widget_ad` (
     `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
     `name` varchar(100) NOT NULL DEFAULT "" COMMENT '名称',
     `title` varchar(100)  NOT NULL DEFAULT "" COMMENT '标题',
     `content` longtext CHARACTER SET utf8mb4 COMMENT '内容',
     `add_time` int(11) NOT NULL DEFAULT 0 COMMENT '添加时间',
     `start_time` int(11) NOT NULL DEFAULT 0 COMMENT '开始时间',
     `end_time` int(11) NOT NULL DEFAULT 0 COMMENT '到期时间',
     `info` varchar(255) NOT NULL DEFAULT ""COMMENT '备注',
     `is_hide` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否隐藏',
     PRIMARY KEY (`id`),
     KEY `is_hide` (`is_hide`),
     KEY `add_time` (`add_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `page` (
        `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
        `url_name` varchar(150) NOT NULL DEFAULT "" COMMENT '别名',
        `title` varchar(150) NOT NULL DEFAULT "" COMMENT '标题',
        `keywords` varchar(150) NOT NULL DEFAULT "" COMMENT '关键词',
        `description` varchar(200) NOT NULL DEFAULT "" COMMENT '描述',
        `content` longtext CHARACTER SET utf8mb4 COMMENT '内容',
        `sort` bigint(20) NOT NULL DEFAULT 0 COMMENT '排序',
        `template` varchar(50) NOT NULL DEFAULT "" COMMENT '模板',
        PRIMARY KEY (`id`),
        KEY `url_name` (`url_name`),
        KEY `sort` (`sort`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `article_cache` (
     `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
     `cache_id` varchar(32) NOT NULL DEFAULT "" COMMENT '缓存ID',
     `add_time` int(11) DEFAULT NULL DEFAULT 0 COMMENT '添加时间',
     PRIMARY KEY (`id`),
     KEY `cache_id` (`cache_id`),
     KEY `add_time` (`add_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `article_field` (
    `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
    `name` varchar(150) NOT NULL DEFAULT "" COMMENT '名称',
    `field_name` varchar(150) NOT NULL DEFAULT "" COMMENT '字段名',
    `field_type` varchar(30) NOT NULL DEFAULT "" COMMENT '字段类型',
    `data` longtext   CHARACTER SET utf8mb4 COMMENT '数据',
    `sort` bigint(20) NOT NULL DEFAULT 0 COMMENT '排序',
    PRIMARY KEY (`id`),
    KEY `id` (`id`),
    KEY `name` (`name`),
    KEY `field_name` (`field_name`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `article_category` (
        `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
        `title` varchar(150) NOT NULL DEFAULT "" COMMENT '名称',
        `keywords` varchar(150) NOT NULL DEFAULT "" COMMENT '关键词',
        `description` varchar(200) NOT NULL DEFAULT "" COMMENT '描述',
        `pid` bigint(20) NOT NULL DEFAULT 0 COMMENT '上级ID',
        `level` tinyint(1) NOT NULL DEFAULT 0 COMMENT '层级',
        `url` varchar(150) NOT NULL DEFAULT "" COMMENT '地址',
        `is_diy_url` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否自定义URL',
        `children_ids` varchar(150) NOT NULL DEFAULT "" COMMENT '下级ids',
        `children_all_ids` varchar(150) NOT NULL DEFAULT "" COMMENT '所有ids',
        `sort` bigint(20) NOT NULL DEFAULT 0 COMMENT '排序',
        `count_num` bigint(20) NOT NULL DEFAULT 0 COMMENT '统计项目数量',
        `is_hide` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否隐藏',
        `url_name` varchar(150) NOT NULL DEFAULT "" COMMENT '别名',
        `icon` varchar(200) NOT NULL DEFAULT "" COMMENT '图标地址',
        `seo_title` varchar(150) NOT NULL DEFAULT "" COMMENT '自定义SEO标题',
        `template` varchar(30) NOT NULL DEFAULT "" COMMENT '分类模板',
        `detail_template` varchar(30) NOT NULL DEFAULT  "" COMMENT '分类下的详情页模板',
        `content` longtext CHARACTER SET utf8mb4 COMMENT '内容',
        PRIMARY KEY (`id`),
        KEY `id` (`id`),
        KEY `pid` (`pid`),
        KEY `level` (`level`),
        KEY `title` (`title`),
        KEY `url` (`url`),
        KEY `sort` (`sort`),
        KEY `is_hide` (`is_hide`),
        KEY `count_num` (`count_num`),
        KEY `url_name` (`url_name`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `article` (
       `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
       `cid` int(11) NOT NULL DEFAULT 0 COMMENT '分类ID',
       `uid` char(32) NOT NULL DEFAULT "" COMMENT '用户UID',
       `title` varchar(250) CHARACTER SET utf8mb4 NOT NULL DEFAULT "" COMMENT '标题' ,
        `url` varchar(250) NOT NULL DEFAULT "" COMMENT '地址',
        `is_diy_url` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否自定义URL',
        `seo_title` varchar(150) CHARACTER SET utf8mb4 NOT NULL DEFAULT "" COMMENT 'SEO标题' ,
       `views` bigint(20) NOT NULL DEFAULT 0 COMMENT '浏览数',
       `url_name` varchar(150) NOT NULL DEFAULT '' COMMENT '别名',
       `comment_num` bigint(20) NOT NULL DEFAULT 0 COMMENT '评论数',
       `description` varchar(200) NOT NULL DEFAULT "" COMMENT '描述',
       `keywords` varchar(150) NOT NULL DEFAULT "" COMMENT '关键词',
       `tags` varchar(150) NOT NULL DEFAULT "" COMMENT '标签',
       `add_time` int(11) NOT NULL DEFAULT 0 COMMENT '添加时间',
       `publish_time` int(11) NOT NULL DEFAULT 0 COMMENT '发布时间',
       `update_time` int(11) NOT NULL DEFAULT 0 COMMENT '更新时间',
       `img_url` varchar(500) NOT NULL DEFAULT "" COMMENT '缩略图',
       `is_elite` tinyint(1) DEFAULT 0 COMMENT '是否加精',
       `is_top` tinyint(1) DEFAULT 0 COMMENT '是否置顶',
       `is_recommend` tinyint(1) DEFAULT 0 COMMENT '是否推荐',
       PRIMARY KEY (`id`),
       KEY `title` (`title`),
       KEY `cid` (`cid`),
       KEY `publish_time` (`publish_time`),
       KEY `uid` (`uid`),
       KEY `views` (`views`),
       KEY `url` (`url`),
       KEY `url_name` (`url_name`),
       KEY `is_elite` (`is_elite`),
       KEY `is_top` (`is_top`),
       KEY `is_recommend` (`is_recommend`),
       KEY `comment_num` (`comment_num`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `article_content` (
       `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
       `item_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '文章ID',
       `content` longtext CHARACTER SET utf8mb4 COMMENT '文章内容',
       PRIMARY KEY (`id`),
       KEY `item_id` (`item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `article_ids` (
       `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
    `cid` int(11) NOT NULL DEFAULT 0 COMMENT '分类ID',
    `num` int(11) NOT NULL DEFAULT 0 COMMENT '数量',
       `ids` longtext CHARACTER SET utf8mb4 COMMENT '',
       PRIMARY KEY (`id`),
    KEY `cid` (`cid`),
    KEY `num` (`num`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `article_img_url` (
       `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
       `item_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '项目ID',
       `img_url` varchar(500) NOT NULL DEFAULT "" COMMENT '图片地址',
       PRIMARY KEY (`id`),
       KEY `item_id` (`item_id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `article_comment` (
       `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
       `uid` char(32) NOT NULL DEFAULT "" COMMENT '用户UID',
       `nickname` varchar(32) NOT NULL DEFAULT "" COMMENT '昵称',
       `varchar` varchar(512) CHARACTER SET utf8mb4 NOT NULL DEFAULT "" COMMENT '内容',
       `item_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '项目ID',
       `add_time` int(11) NOT NULL DEFAULT 0 COMMENT '评论时间',
       `ip` varchar(20) NOT NULL DEFAULT "" COMMENT '评论的IP',
       `is_hide` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否隐藏',
       `is_publish_show` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否仅作者可见',
       `comment_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '回复ID',
       PRIMARY KEY (`id`),
       KEY `item_id` (`item_id`),
       KEY `uid` (`uid`),
       KEY `add_time` (`add_time`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `tag` (
       `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
       `cid` bigint(20) NOT NULL DEFAULT 0 COMMENT '分类ID',
       `title` varchar(150) NOT NULL DEFAULT "" COMMENT '标题',
       `diy_title` varchar(150) NOT NULL DEFAULT "" COMMENT '自定义标题',
        `url` varchar(150) NOT NULL DEFAULT "" COMMENT '地址',
       `description` varchar(200) NOT NULL DEFAULT "" COMMENT '描述',
       `keywords` varchar(150) NOT NULL DEFAULT "" COMMENT '关键词',
       `views` bigint(20) NOT NULL DEFAULT 0 COMMENT '浏览数',
       `url_name` varchar(150) NOT NULL DEFAULT "" COMMENT '别名',
       `rel_num` bigint(20) NOT NULL DEFAULT 0 COMMENT '关联数量',
       `add_time` int(11) NOT NULL DEFAULT 0 COMMENT '添加时间',
       PRIMARY KEY (`id`),
       KEY `cid` (`cid`),
       KEY `title` (`title`),
       KEY `views` (`views`),
        KEY `url` (`url`),
       KEY `url_name` (`url_name`),
       KEY `rel_num` (`rel_num`),
       KEY `add_time` (`add_time`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `tag_ids` (
   `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
   `ids` longtext CHARACTER SET utf8mb4 COMMENT '',
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `tag_category` (
    `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
    `title` varchar(150) NOT NULL DEFAULT "" COMMENT '名称',
    `url_name` varchar(150) NOT NULL DEFAULT "" COMMENT '别名',
    `url` varchar(150) NOT NULL DEFAULT "" COMMENT '地址',
    `seo_title` varchar(150) NOT NULL DEFAULT "" COMMENT '自定义SEO标题',
    `keywords` varchar(150) NOT NULL DEFAULT "" COMMENT '关键词',
    `description` varchar(200) NOT NULL DEFAULT "" COMMENT '描述',
    `pid` bigint(20) NOT NULL DEFAULT 0 COMMENT '上级ID',
    `sort` bigint(20) NOT NULL DEFAULT 0 COMMENT '排序',
    `count_num` bigint(20) NOT NULL DEFAULT 0 COMMENT '统计项目数量',
    `icon` varchar(200) NOT NULL DEFAULT "" COMMENT '图标地址',
    `template` varchar(30) NOT NULL DEFAULT "" COMMENT '分类模板',
    `detail_template` varchar(30) NOT NULL DEFAULT  "" COMMENT '分类下的详情页模板',
    PRIMARY KEY (`id`),
    KEY `id` (`id`),
    KEY `pid` (`pid`),
    KEY `title` (`title`),
    KEY `sort` (`sort`),
    KEY `count_num` (`count_num`),
    KEY `url_name` (`url_name`)
    ) ENGINE=InnoDB AUTO_INCREMENT=38 DEFAULT CHARSET=utf8;


INSERT INTO `tag_category` VALUES (1,'A', 'a', '/tag/a/', '','', '', 0, 1, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (2,'B', 'b', '/tag/b/', '', '', '', 0, 2, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (3,'C', 'c', '/tag/c/', '', '', '', 0, 3, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (4,'D', 'd', '/tag/d/', '', '', '', 0, 4, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (5,'E', 'e', '/tag/e/', '', '', '', 0, 5, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (6,'F', 'f', '/tag/f/', '', '', '', 0, 6, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (7,'G', 'g', '/tag/g/', '', '', '', 0, 7, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (8,'H', 'h', '/tag/h/', '', '', '', 0, 8, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (9,'I', 'i', '/tag/i/', '', '', '', 0, 9, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (10,'J', 'j', '/tag/j/', '', '', '', 0, 10, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (11,'K', 'k', '/tag/k/', '', '', '', 0, 11, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (12,'L', 'l', '/tag/l/', '', '', '', 0, 12, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (13,'M', 'm', '/tag/m/', '', '', '', 0, 13, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (14,'N', 'n', '/tag/n/', '', '', '', 0, 14, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (15,'O', 'o', '/tag/o/', '', '', '', 0, 15, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (16,'P', 'p', '/tag/p/', '', '', '', 0, 16, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (17,'Q', 'q', '/tag/q/', '', '', '', 0, 17, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (18,'R', 'r', '/tag/r/', '', '', '', 0, 18, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (19,'S', 's', '/tag/s/', '', '', '', 0, 19, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (20,'T', 't', '/tag/t/', '', '', '', 0, 20, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (21,'U', 'u', '/tag/u/', '', '', '', 0, 21, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (22,'V', 'v', '/tag/v/', '', '', '', 0, 22, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (23,'W', 'w', '/tag/w/', '', '', '', 0, 23, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (24,'X', 'x', '/tag/x/', '', '', '', 0, 24, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (25,'Y', 'y', '/tag/y/', '', '', '', 0, 25, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (26,'Z', 'z', '/tag/z/', '', '', '', 0, 26, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (27,'0', '0', '/tag/0/', '', '', '', 0, 27, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (28,'1', '1', '/tag/1/', '', '', '', 0, 28, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (29,'2', '2', '/tag/2/', '', '', '', 0, 29, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (30,'3', '3', '/tag/3/', '', '', '', 0, 30, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (31,'4', '4', '/tag/4/', '', '', '', 0, 31, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (32,'5', '5', '/tag/5/', '', '', '', 0, 32, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (33,'6', '6', '/tag/6/', '', '', '', 0, 33, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (34,'7', '7', '/tag/7/', '', '', '', 0, 34, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (35,'8', '8', '/tag/8/', '', '', '', 0, 35, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (36,'9', '9', '/tag/9/', '', '', '', 0, 36, 0, '', 'tagCategory.html', 'tagDetail.html');
INSERT INTO `tag_category` VALUES (37,'其他', 'other', '/tag/other/', '', '', '', 0, 37, 0, '', 'tagCategory.html', 'tagDetail.html');

CREATE TABLE IF NOT EXISTS `tag_rel` (
       `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
       `item_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '关联的ID',
       `tag_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '标签的ID',
       `rel_type` varchar(10) NOT NULL DEFAULT "" COMMENT '关联的类型',
       PRIMARY KEY (`id`),
       KEY `item_id` (`item_id`),
       KEY `tag_id` (`tag_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `base_statistics` (
   `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
   `name` varchar (30) NOT NULL DEFAULT "" COMMENT '统计名称',
   `num` bigint(20) NOT NULL DEFAULT 0 COMMENT '统计的数值',
   PRIMARY KEY (`id`),
   KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

INSERT INTO base_statistics(`name`,`num`) VALUES ('articleNum', 0), ('tagNum', 0), ('spiderNum', 0);

CREATE TABLE IF NOT EXISTS `special` (
       `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
       `title` varchar(150) NOT NULL DEFAULT "" COMMENT '名称',
       `seo_title` varchar(150) NOT NULL DEFAULT "" COMMENT '自定义SEO标题',
       `keywords` varchar(150) NOT NULL DEFAULT "" COMMENT '关键词',
       `description` varchar(200) NOT NULL DEFAULT "" COMMENT '描述',
       `url_name` varchar(150) NOT NULL DEFAULT "" COMMENT '别名',
       `views` bigint(20) NOT NULL DEFAULT 0 COMMENT '浏览数',
       `sort` bigint(20) NOT NULL DEFAULT 0 COMMENT '排序',
       `rel_num` bigint(20) NOT NULL DEFAULT 0 COMMENT '统计关联数量',
       `icon` varchar(200) NOT NULL DEFAULT "" COMMENT '图标地址',
       `template` varchar(30) NOT NULL DEFAULT "" COMMENT '模板',
       `templateDetail` varchar(30) NOT NULL DEFAULT "" COMMENT '详情模板',
       PRIMARY KEY (`id`),
       KEY `id` (`id`),
       KEY `title` (`title`),
       KEY `sort` (`sort`),
       KEY `rel_num` (`rel_num`),
       KEY `views` (`views`),
       KEY `url_name` (`url_name`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `special_rel` (
   `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
   `special_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '关联专题的ID',
   `item_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '关联项目',
   `rel_type` varchar(10) NOT NULL DEFAULT "" COMMENT '关联的类型',
   `sort` bigint(20) NOT NULL DEFAULT 0 COMMENT '排序',
   PRIMARY KEY (`id`),
   KEY `special_id` (`special_id`),
   KEY `item_id` (`item_id`),
   KEY `sort` (`sort`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `search_words` (
    `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
    `words` varchar(100) NOT NULL DEFAULT "" COMMENT '词名称',
    `rel_num` bigint(20) NOT NULL DEFAULT 0 COMMENT '关联数量',
    PRIMARY KEY (`id`),
    KEY `rel_num` (`rel_num`),
    KEY `words` (`words`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `search_words_rel` (
    `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
    `words_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '关联关键词表的ID',
    `rel_type` varchar(20) NOT NULL DEFAULT "" COMMENT '关联项目类型',
    `item_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '关联项目ID',
    `item_cid` bigint(20) NOT NULL DEFAULT 0 COMMENT '关联项目CID',
    PRIMARY KEY (`id`),
    KEY `words_id` (`words_id`),
    KEY `item_cid` (`item_cid`),
    KEY `item_id` (`item_id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `search_log` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `title` varchar(150) NOT NULL DEFAULT "" COMMENT '名称',
  `ip` varchar(30) NOT NULL DEFAULT "" COMMENT 'ip',
  `add_time` int(11) NOT NULL DEFAULT 0 COMMENT '添加时间',
  `res_type` varchar(30) NOT NULL DEFAULT "" COMMENT '结果状态',
  PRIMARY KEY (`id`),
  KEY `title` (`title`),
  KEY `add_time` (`add_time`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `search_keywords` (
   `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
   `title` varchar(150) NOT NULL DEFAULT "" COMMENT '名称',
   `search_num` int(11) NOT NULL DEFAULT 0 COMMENT '搜索次数',
   PRIMARY KEY (`id`),
   KEY `title` (`title`),
   KEY `search_num` (`search_num`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `search_intercept` (
    `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
    `title` varchar(150) NOT NULL DEFAULT "" COMMENT '名称',
    PRIMARY KEY (`id`),
    KEY `title` (`title`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `search_diy` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `title` varchar(150) NOT NULL DEFAULT "" COMMENT '名称',
  `click_num` int(11) NOT NULL DEFAULT 0 COMMENT '点击次数',
  `hot_num` int(11) NOT NULL DEFAULT 0 COMMENT '热度',
  PRIMARY KEY (`id`),
  KEY `title` (`title`),
  KEY `click_num` (`click_num`),
  KEY `hot_num` (`hot_num`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `spider` (
      `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
      `spider_type` varchar(50) NOT NULL DEFAULT '' COMMENT '类型',
      `add_time` int(11) NOT NULL DEFAULT 0 COMMENT '时间',
      `url` varchar(255) NOT NULL DEFAULT "" COMMENT '页面地址',
      `ip` varchar(50) NOT NULL DEFAULT '' COMMENT 'ip',
      PRIMARY KEY (`id`),
      KEY `spider_type` (`spider_type`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `push_setting` (
    `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
    `name` varchar(30) NOT NULL DEFAULT "" COMMENT '数据名称',
    `data` varchar(512) NOT NULL DEFAULT "" COMMENT '数据内容',
    PRIMARY KEY (`id`),
    KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


INSERT INTO push_setting(`name`,`data`)
VALUES 	('baiduDefaultAddress', ''),('baiduDefaultStatus','');

CREATE TABLE IF NOT EXISTS `push_article` (
    `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
    `item_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '项目ID',
    `baidu_default_push_num` bigint(20) NOT NULL DEFAULT 0 COMMENT '推送数量',
    PRIMARY KEY (`id`),
KEY `item_id` (`item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;