<?php

use think\facade\Route;

$request = request();

//Route::get('/', '\\app\\controller\\home\\Index@index');
//Route::miss(function() {
//    return '404 Not Found!';
//});

if (is_file(ROOT_PATH . 'install' . DS .'install.lock')) {
    Route::group('admin', function () {
        Route::get('/js', '\\app\\admin\\index\\controller\\Component@js');
        Route::get('/css', '\\app\\admin\\index\\controller\\Component@css');
        Route::get('/addons/js', '\\app\\admin\\content\\addons\\controller\\AddonsComponent@js');
        Route::get('/addons/css', '\\app\\admin\\content\\addons\\controller\\AddonsComponent@css');
        Route::post('/user/login', '\\app\\admin\\user\\controller\\LoginController@login');
    });

    Route::get('admin', '\\app\\admin\\index\\controller\\Index@index');

    Route::group('admin', function () {
        Route::post('/user/getCurrentAdminInfo', '\\app\\admin\\user\\controller\\UserController@getCurrentAdminInfo');
        Route::post('/user/updatePassword', '\\app\\admin\\user\\controller\\UserController@updatePassword');
        Route::post('/user/passwordEdit', '\\app\\admin\\user\\controller\\UserController@passwordEdit');
        Route::post('/user/logout', '\\app\\admin\\user\\controller\\LoginController@logout');
    })->middleware(\app\middleware\AdminAuth::class);

    Route::group('admin', function () {
        Route::post('/system/:act', '\\app\\admin\\system\\controller\\SystemController@:act');
    })->middleware(\app\middleware\AdminAuth::class);

    Route::group('admin', function () {
        /*文章*/
        Route::post('/article/:act', '\\app\\admin\\content\\article\\controller\\ArticleController@:act');
        Route::post('/articleCategory/:act', '\\app\\admin\\content\\article\\controller\\ArticleCategoryController@:act');
        Route::post('/articleField/:act', '\\app\\admin\\content\\article\\controller\\ArticleFieldController@:act');

        /*专题*/
        Route::post('/special/:act', '\\app\\admin\\content\\special\\controller\\SpecialController@:act');
        Route::post('/specialRel/:act', '\\app\\admin\\content\\special\\controller\\SpecialRelController@:act');
        /*搜索*/
        Route::post('/searchLog/:act', '\\app\\admin\\content\\search\\controller\\SearchLogController@:act');
        Route::post('/searchKeywords/:act', '\\app\\admin\\content\\search\\controller\\SearchKeywordsController@:act');
        Route::post('/searchIntercept/:act', '\\app\\admin\\content\\search\\controller\\SearchInterceptController@:act');
        Route::post('/searchDiy/:act', '\\app\\admin\\content\\search\\controller\\SearchDiyController@:act');
        Route::post('/searchWords/:act', '\\app\\admin\\content\\search\\controller\\SearchWordsController@:act');

        Route::post('/page/:act', '\\app\\admin\\content\\page\\controller\\PageController@:act');
        /*标签*/
        Route::post('/tag/:act', '\\app\\admin\\content\\tag\\controller\\TagController@:act');
        Route::post('/tagCategory/:act', '\\app\\admin\\content\\tag\\controller\\TagCategoryController@:act');

        /*推送*/
        Route::post('/push/:act', '\\app\\admin\\content\\push\\controller\\PushController@:act');
        Route::post('/pushSetting/:act', '\\app\\admin\\content\\push\\controller\\PushSettingController@:act');
        /*组件*/
        Route::post('/widgetAd/:act', '\\app\\admin\\content\\widget\\controller\\WidgetAdController@:act');
        Route::post('/widgetFriendLink/:act', '\\app\\admin\\content\\widget\\controller\\WidgetFriendLinkController@:act');
        Route::post('/widgetFriendLinkRequest/:act', '\\app\\admin\\content\\widget\\controller\\WidgetFriendLinkRequestController@:act');
        Route::post('/widgetNav/:act', '\\app\\admin\\content\\widget\\controller\\WidgetNavController@:act');
        /*插件*/
        Route::post('/addons/:act', '\\app\\admin\\content\\addons\\controller\\AddonsController@:act');
        /*功能*/
        Route::post('/tool/:act', '\\app\\admin\\content\\tool\\controller\\ToolController@:act');
        Route::post('/upload/:act', '\\app\\admin\\content\\upload\\controller\\UploadController@:act');
        /*模板*/
        Route::post('/template/:act', '\\app\\admin\\content\\template\\controller\\TemplateController@:act');
        /*设置*/
        Route::post('/setting/:act', '\\app\\admin\\content\\setting\\controller\\SettingController@:act');
        Route::post('/urlRule/:act', '\\app\\admin\\content\\setting\\controller\\UrlRuleController@:act');
        /*域名*/
        Route::post('/domain/:act', '\\app\\admin\\content\\domain\\controller\\DomainController@:act');
        /*蜘蛛*/
        Route::post('/spider/:act', '\\app\\admin\\content\\spider\\controller\\SpiderController@:act');
        /*统计*/
        Route::post('/statistics/:act', '\\app\\admin\\content\\statistics\\controller\\StatisticsController@:act');
        /*下载*/
        Route::post('/download/exportTag', '\\app\\admin\\content\\download\\controller\\DownloadController@exportTag');
        Route::post('/download/exportArticle', '\\app\\admin\\content\\download\\controller\\DownloadController@exportArticle');

    })->middleware(\app\middleware\AdminContentAuth::class);

}
