<?php

use app\admin\content\setting\service\UrlRuleService;

use app\common\service\CommonArticleCategoryService;
use app\common\service\CommonTagRuleServer;
use app\home\article\service\ArticleCategoryHomeService;
use app\home\tag\service\TagCategoryHomeService;
use think\facade\Cache;
use think\facade\Config;
use think\facade\Route;
use think\facade\View;

if (!is_file(ROOT_PATH . 'install' . DS .'install.lock')) {
    Route::get('/', '\app\install\controller\Install@index');
    Route::post('/install', '\app\install\controller\Install@install');
} else {
        $request = request();
        $isTagDomain = request()->__get("isTagDomain");
        $tagDomainUrlName = request()->__get("tagDomainUrlName");
        if ($isTagDomain && $tagDomainUrlName) {
            $httpDomain  = request()->server()['HTTP_HOST'];
            Route::get('/index_<page>', '\\app\\home\\tag\\controller\\TagDetailHome@index')->append(['routeName' => $tagDomainUrlName])->pattern(['page' => '[0-9]+']);
            Route::get('/', '\\app\\home\\tag\\controller\\TagDetailHome@index')->append(['routeName' => $tagDomainUrlName]);
        } else {
            Route::get('/', '\app\home\index\controller\IndexHome@index');
        }
        /*友情链接*/
        Route::post('/friendLink/addFriendLink', '\\app\\home\\widget\\controller\\WidgetFriendLinkAjaxHome@addFriendLink');
        Route::get('/friendLinkRequest', '\\app\\home\\widget\\controller\\WidgetFriendLinkRequestHome@index')->ext('html');

        Route::get('/sitemap_tag_<page>', '\\app\\home\\tag\\controller\\TagSitemapHome@sitemap')->ext('xml')->pattern(['page' => '[0-9]+']);
        Route::get('/sitemap_tag', '\\app\\home\\tag\\controller\\TagSitemapHome@sitemap')->ext('xml');
        Route::get('/sitemap_<page>', '\\app\\home\\article\\controller\\ArticleSitemapHome@sitemap')->ext('xml')->pattern(['page' => '[0-9]+']);
        Route::get('/sitemap', '\\app\\home\\article\\controller\\ArticleSitemapHome@sitemap')->ext('xml');
        Route::get('/sitemap', '\\app\\home\\sitemap\\controller\\SitemapHome@index')->ext('html');

        //搜索
        $searchUrlName = config("global.searchUrlName");
        Route::get("/{$searchUrlName}/<keywords>", '\\app\\home\\search\\controller\\SearchHome@index')->ext('html')->pattern(['keywords' => '.*+']);
        Route::get('/search', '\\app\\home\\search\\controller\\SearchHome@search');
        /*专题*/
        $specialUrlName = config("global.specialUrlName");
        Route::get("/{$specialUrlName}/index_<page>", '\\app\\home\\special\\controller\\SpecialHome@index')->pattern(['page' => '[0-9]+']);
        Route::get("/{$specialUrlName}/<id>_<page>", '\\app\\home\\special\\controller\\SpecialDetailHome@index')->ext('html')->pattern(['id' => '[a-zA-Z0-9_+.-]+','page' => '[0-9]+']);
        Route::get("/{$specialUrlName}/<id>", '\\app\\home\\special\\controller\\SpecialDetailHome@index')->ext('html')->pattern(['id' => '.*+']);
        Route::get("/{$specialUrlName}", '\\app\\home\\special\\controller\\SpecialHome@index');

        $urlRuleData = UrlRuleService::getUrlRuleData();
        Set('urlRuleData', $urlRuleData);
        /*标签*/
        $tagDetailProjectRule = $urlRuleData["tagDetailProjectRule"] ?? "tag" ?: "tag";
        $tagCategorySuffixRule = $urlRuleData["tagCategorySuffixRule"];
        $tagDetailSuffixRule = $urlRuleData["tagDetailSuffixRule"];
        Route::get("/{$tagDetailProjectRule}/$", '\\app\\home\\tag\\controller\\TagHome@index')->append(['ruleType' => "default"]);
        $requestUrl = request()->server()["REQUEST_URI"];
        $requestUrl = str_replace("/index.php?s=","",$requestUrl);

        if ($tagCategorySuffixRule == "/" && $tagDetailSuffixRule == ".html") {
            /*分类分页*/
            Route::get($tagDetailProjectRule . '/<routeName>/index_<page>', '\\app\\home\\tag\\controller\\TagCategoryHome@index')->pattern(['page' => '[0-9]+'])->ext("html");
            /*详情分页*/
            Route::get($tagDetailProjectRule . "/<routeName>_<page>", '\\app\\home\\tag\\controller\\TagDetailHome@index')->ext('html')->pattern(['page' => '[0-9]+', 'routeName' => '[\w-]+']);
            /*详情*/
            Route::get($tagDetailProjectRule . "/<routeName>", '\\app\\home\\tag\\controller\\TagDetailHome@index')->ext('html')->pattern(['routeName' => '[\w-]+']);
            /*分类*/
            Route::get($tagDetailProjectRule . '/<routeName>/$', '\\app\\home\\tag\\controller\\TagCategoryHome@index')->pattern(['routeName' => '[\w-]+']);
        }

        /*自定义*/
        $articleCategoryAllList = db("article_category")->order("id","asc")->select()->all();
        if ($articleCategoryAllList) {
            foreach ($articleCategoryAllList as $item) {
//                if ($item["is_diy_url"]) {
                    $tempUrl = $item["url"];
                    if ($requestUrl == $tempUrl) {
                        if (strpos($tempUrl,".html") !== false) {
                            $tempUrl = str_replace(".html","",$tempUrl);
                            Route::get($tempUrl, '\\app\\home\\article\\controller\\ArticleCategoryHome@index')->ext('html');
                        } else {
                            Route::get($tempUrl, '\\app\\home\\article\\controller\\ArticleCategoryHome@index');
                        }
                    }
//                }
            }
        }


        /*文章*/
        Route::get('/article/index_<page>', '\\app\\home\\article\\controller\\ArticleCategoryHome@index')->ext("html")->append(['ruleType' => "default"]);
        Route::get('/article/$', '\\app\\home\\article\\controller\\ArticleCategoryHome@index')->append(['ruleType' => "default"]);

        /*文章分类+分页*/
        $articleName = $urlRuleData["articleCategoryProjectRule"];
        $articleCategoryLevelNum = $urlRuleData["articleCategoryLevelNum"];
        $articleCategorySuffixRule = $urlRuleData["articleCategorySuffixRule"];
        if ($articleCategoryLevelNum == 2) {
            Route::get($articleName . '/<top_name>/<middle_name>/<bottom_name>/index_<page>', '\\app\\home\\article\\controller\\ArticleCategoryHome@index')->ext('html')->pattern(['page' => '[0-9]+']);
//            Route::get($articleName . '/<top_name>/<middle_name>/<bottom_name>/$', '\\app\\home\\article\\controller\\ArticleCategoryHome@index');
            Route::get($articleName . '/<top_name>/<middle_name>/index_<page>', '\\app\\home\\article\\controller\\ArticleCategoryHome@index')->ext('html')->pattern(['page' => '[0-9]+']);
//            Route::get($articleName . '/<top_name>/<middle_name>/$', '\\app\\home\\article\\controller\\ArticleCategoryHome@index');
            Route::get($articleName . '/<top_name>/index_<page>', '\\app\\home\\article\\controller\\ArticleCategoryHome@index')->ext('html')->pattern(['page' => '[0-9]+']);
//            Route::get($articleName . '/<top_name>/$', '\\app\\home\\article\\controller\\ArticleCategoryHome@index');
        }
        if ($articleCategoryLevelNum == 1) {
            Route::get($articleName . "/<top_name>/index_<page>", '\\app\\home\\article\\controller\\ArticleCategoryHome@index')->ext("html")->pattern(['page' => '[0-9]+']);
//            Route::get($articleName . "/<top_name>/$", '\\app\\home\\article\\controller\\ArticleCategoryHome@index');
        }

        /*文章详情*/
        Route::get('/article/<routeName>$', '\\app\\home\\article\\controller\\ArticleDetailHome@index')->ext('html')->pattern(['routeName' => '[a-zA-Z0-9_-]+'])->append(['ruleType' => "default"]);
        $articleDetailRule = $urlRuleData["articleDetailRule"];
        if (strpos($articleDetailRule,"{c_") !== false) {
            if ($articleCategoryLevelNum == 2) {
                if ($articleCategoryAllList) {
                    // 第一步：创建一个辅助的 id 到分类的映射
                    $idToCategoryMap = [];
                    foreach ($articleCategoryAllList as $category) {
                        $idToCategoryMap[$category['id']] = $category;
                    }
                    // 第二步：为每个分类添加 parentInfo
                    foreach ($articleCategoryAllList as &$category) {
                        // 如果这个分类有父分类（即 pid 不为 0），则找到父分类
                        if ($category['pid'] != 0 && isset($idToCategoryMap[$category['pid']])) {
                            $parentInfo = $idToCategoryMap[$category['pid']];
                            $category['parentInfo'] = $parentInfo;
                            if ($parentInfo['pid'] != 0 && isset($idToCategoryMap[$parentInfo['pid']])) {
                                $category['parentInfo']["parentInfo"] = $idToCategoryMap[$parentInfo['pid']];
                            }
                        } else {
                            // 没有父分类的情况
                            $category['parentInfo'] = null;
                        }
                    }
                    unset($category); // 销毁引用
                    foreach ($articleCategoryAllList as $category) {
                        /*目前仅支持url_name*/
                        if ($category["level"] == 2 && $category['parentInfo'] && $category['parentInfo']['parentInfo']) {
                            Route::get($articleName . "/" . $category['parentInfo']['parentInfo']["url_name"] . "/" . $category['parentInfo']["url_name"] . "/" . $category["url_name"] . "/<routeName>", '\\app\\home\\article\\controller\\ArticleDetailHome@index')->ext('html');
                        }
                        if ($category["level"] == 1 && $category['parentInfo']) {
                            Route::get($articleName . "/" . $category['parentInfo']["url_name"] . "/" . $category["url_name"] . "/<routeName>", '\\app\\home\\article\\controller\\ArticleDetailHome@index')->ext('html');
                        }
                        if ($category["level"] == 0) {
                            Route::get($articleName . "/" . $category["url_name"] . "/<routeName>", '\\app\\home\\article\\controller\\ArticleDetailHome@index')->ext('html');
                        }
                    }
                }
//                Route::get($articleName . '/<top_name>/<middle_name>/<bottom_name>/<routeName>', '\\app\\home\\article\\controller\\ArticleDetailHome@index')->ext('html');
//                Route::get($articleName . '/<top_name>/<middle_name>/<routeName>', '\\app\\home\\article\\controller\\ArticleDetailHome@index')->ext('html');
//                Route::get($articleName . '/<top_name>/<routeName>', '\\app\\home\\article\\controller\\ArticleDetailHome@index')->ext('html');
            }
            if ($articleCategoryLevelNum == 1) {
                Route::get($articleName . '/<top_name>/<routeName>', '\\app\\home\\article\\controller\\ArticleDetailHome@index')->pattern(['top_name' => '[a-zA-Z0-9_-]+'])->ext('html');
            }
        } else {
            Route::get($articleName . '/<routeName>', '\\app\\home\\article\\controller\\ArticleDetailHome@index')->ext('html')->append(['ruleType' => "zeroGrade"]);
        }

        /*单页*/
        Route::get('/<id>', '\\app\\home\\page\\controller\\PageHome@index')->ext('html')->pattern(['id' => '[a-zA-Z0-9_-]+'])->completeMatch();
    

}
