let httpServiceBaseUrl = "/index.php?s=/admin";
let httpServiceTimeout = 60 * 1000;
let httpService = axios.create({
    baseURL: httpServiceBaseUrl,
    timeout: httpServiceTimeout
})
/*axios请求拦截--request*/
httpService.interceptors.request.use(config => {
    // config.headers['Content-Type'] = 'application/json;charset=utf-8'
    let adminToken = new LocalStorage().getItem("adminToken")
    if (adminToken) {
        config.headers['Access-Token'] = adminToken
    }

    config.headers['Site-Id'] = '';
    try {
        if (router) {
            if (window.globalSiteId != 0) {
                config.headers['Site-Id'] = window.globalSiteId;
            } else {
                if (router.currentRoute.value.params.siteId && router.currentRoute.value.params.siteId != 'undefined') {
                    config.headers['Site-Id'] = router.currentRoute.value.params.siteId;
                }
            }
        }
    } catch (e) {
    }

    return config
},err => {
    /*请求错误处理*/
})
/*axios响应拦截--response*/
httpService.interceptors.response.use((response) => {
    const result = response.data
    /*返回状态码*/
    if (result.code === -1) {
        ElementPlus.ElMessage.error(result.msg);
    } else if (result.code === -2) {
        ElementPlus.ElMessageBox.alert(result.msg, '错误提示', {
            confirmButtonText: '确定',
            type: 'error',
        });
    }
    /*鉴权失败*/
    if (result.code === 401) {
        new LocalStorage().removeItem("adminToken")
        ElementPlus.ElMessageBox.confirm('登录状态已过期，您可以继续留在该页面，或者重新登录', '系统提示', {
                confirmButtonText: '重新登录',
                cancelButtonText: '取消',
                type: 'warning'
            }
        ).then(() => {
            window.location.reload()
        }).catch(() => {});
        return Promise.reject(result)
    }
    return result
}, (error) => {
    if (error.response.status == 500) {
        document.getElementsByClassName('error-modal-bg')[0].style.display = 'block';
        document.getElementsByClassName('error-modal')[0].style.display = 'block';
        if ((typeof error.response.data) == "object") {
            document.getElementById('errorModalBody').innerHTML = error.response.data.message;
        }
    } else {
        ElementPlus.ElMessage.error('系统错误，错误代码：' + error.response.status);
    }
    return Promise.reject(error)
})

function post(url,params={},headers={
    'Content-Type':'application/json;charset=utf-8'
}){
return new Promise((resolve,reject) => {
    httpService({
        url:url,
        method:'post',
        data:params,
        headers: headers
    }).then(res => {
        resolve(res);
    }).catch(err => {
        reject(err);
    })
})
}

function get(url,params={}){
    return new Promise((resolve,reject) => {
        httpService({
            url:url,
            method:'get',
            params:params
        }).then(res => {
            resolve(res);
        }).catch(err => {
            reject(err);
        })
    })
}