const routes = [
    {
        name: 'login',
        path: '/login',
        component:Login,
        meta: { title: '管理登录'}
    },
    {
        name: '/',
        component: BasicLayout,
        meta: { title: '管理后台' },
        children:[
            {
                name: 'content',
                path: '/content/',
                component: Content,
                children: [
                    {
                        name: 'index',
                        path: '',
                        component: Index,
                    },
                    {
                        name: 'articleList',
                        path: ':mod/articleList',
                        component: ArticleList
                    },
                    {
                        name: 'articleCategory',
                        path: ':mod/articleCategory',
                        component:ArticleCategory
                    },
                    {
                        name: 'articleField',
                        path: ':mod/articleField',
                        component: ArticleField
                    },
                    {
                        name: 'special',
                        path: ':mod/special',
                        component:Special
                    },
                    {
                        name: 'specialRelList',
                        path: ':mod/specialRelList/:specialId?',
                        component:SpecialRelList
                    },
                    {
                        name: 'search',
                        path: ':mod/search/:tabName?',
                        component:Search
                    },
                    {
                        name: 'tagList',
                        path: ':mod/tagList',
                        component: TagList
                    },
                    {
                        name: 'tagCategory',
                        path: ':mod/tagCategory',
                        component: TagCategory
                    },


                    {
                        name: 'pushArticle',
                        path: ':mod/pushArticle',
                        component: PushArticle
                    },
                    {
                        name: 'pushSetting',
                        path: ':mod/pushSetting',
                        component: PushSetting
                    },
                    {
                        name: 'navList',
                        path: ':mod/navList',
                        component: NavList,
                    },
                    {
                        name: 'pageList',
                        path: ':mod/pageList',
                        component: PageList,
                    },
                    {
                        name: 'adList',
                        path: ':mod/adList',
                        component: AdList,
                    },
                    {
                        name: 'friendLink',
                        path: ':mod/friendLink/:tabName?',
                        component: FriendLink,
                    },
                    {
                        name: 'addons',
                        path: '',
                        component: Addons,
                        children: [
                            {
                                name: 'addonsList',
                                path: ':mod/addonsList',
                                component: AddonsList
                            },
                        ]
                    },
                    {
                        name: 'setting',
                        path: ':mod/:tabName?/:subTabName?',
                        component: Setting,
                    },
                    {
                        name: 'template',
                        path: ':mod/template',
                        component: Template,
                    },
                    {
                        name: 'domain',
                        path: ':mod/domain',
                        component: Domain,
                    },
                ],
            },
            {
                name: 'siteUserEditPassword',
                path: '/siteUserEditPassword',
                component: SiteUserEditPassword
            },
            {
                name: 'systemSetting',
                path: '/system/systemSetting',
                component: SystemSetting
            }
        ]
    },
];