function setDocumentTitle(title) {
    document.title = title
    const ua = navigator.userAgent
    // eslint-disable-next-line
    const regex = /\bMicroMessenger\/([\d\.]+)/
    if (regex.test(ua) && /ip(hone|od|ad)/i.test(ua)) {
        const i = document.createElement('iframe')
        i.src = 'favicon.ico'
        i.style.display = 'none'
        i.onload = function () {
            setTimeout(function () {
                i.remove()
            }, 9)
        }
        document.body.appendChild(i)
    }
}


function htmlToCode(html) {
    const div = document.createElement('div');
    div.innerHTML = html;
    return div.textContent;
}

function toTime(value) {
    var dateTime = new Date(parseInt(value * 1000));
    var Y = dateTime.getFullYear(),
        m = dateTime.getMonth() + 1,
        d = dateTime.getDate(),
        H = dateTime.getHours(),
        i = dateTime.getMinutes(),
        s = dateTime.getSeconds();
    if(m < 10) {
        m = '0' + m;
    }
    if(d < 10) {
        d = '0' + d;
    }
    if(H < 10) {
        H = '0' + H;
    }
    if(i < 10) {
        i = '0' + i;
    }
    if(s < 10) {
        s = '0' + s;
    }
    var t = Y + '-' + m + '-' + d;
    return t;
}

function formatDateTime(value) {
    var dateTime = new Date(parseInt(value * 1000));
    var Y = dateTime.getFullYear(),
        m = dateTime.getMonth() + 1,
        d = dateTime.getDate(),
        H = dateTime.getHours(),
        i = dateTime.getMinutes(),
        s = dateTime.getSeconds();
    var time = Math.round(new Date().getTime()/1000);
    if(time - parseInt(value) < 60) {
        return time - parseInt(value)+'秒前';
    }
    if(time - parseInt(value) > 60 && time - parseInt(value) < 3600) {
        return new Date(parseInt((time - parseInt(value)) *1000)).getMinutes()+'分钟前';
    }
    if(time - parseInt(value) > 3600 && time - parseInt(value) < 86400) {
        return new Date(parseInt((time - parseInt(value)) *1000)).getHours()+'小时前';
    }
    if(time - parseInt(value) > 86400 && time - parseInt(value) < 172800) {
        return '1天前';
    }
    if(m < 10) {
        m = '0' + m;
    }
    if(d < 10) {
        d = '0' + d;
    }
    if(H < 10) {
        H = '0' + H;
    }
    if(i < 10) {
        i = '0' + i;
    }
    if(s < 10) {
        s = '0' + s;
    }
    var t = Y + '-' + m + '-' + d + " " + H + ':' + i + ':' + s;
    return t;
}
function toDateTime(value) {
    var dateTime = new Date(parseInt(value * 1000));
    var Y = dateTime.getFullYear(),
        m = dateTime.getMonth() + 1,
        d = dateTime.getDate(),
        H = dateTime.getHours(),
        i = dateTime.getMinutes(),
        s = dateTime.getSeconds();
    if(m < 10) {
        m = '0' + m;
    }
    if(d < 10) {
        d = '0' + d;
    }
    if(H < 10) {
        H = '0' + H;
    }
    if(i < 10) {
        i = '0' + i;
    }
    if(s < 10) {
        s = '0' + s;
    }
    var t = Y + '-' + m + '-' + d + " " + H + ':' + i + ':' + s;
    return t;
}
